;
;Custom Button gadget
Procedure CGButtonGadget(Gadget, x, y, Width, Height, Text$, Image, TextColor=$000000, BackColor=$696969, BorderColor=$696969)
  Protected Img, Idgadget
  ;Img = CreateImage(#PB_Any,width,height,32|#PB_Image_Transparent)
  
  If x = #PB_Ignore Or y = #PB_Ignore
    x = GadgetX(Gadget)
    y = GadgetY(Gadget)
    Width = GadgetWidth(Gadget)
    Height = GadgetHeight(Gadget)
  Else
    If Gadget=#PB_Any 
      Idgadget=CanvasGadget(Gadget, x, y, Width, Height)
    Else
      CanvasGadget(Gadget, x, y, Width, Height)
      IdGadget=Gadget
    EndIf
  EndIf
  
  StartDrawing(CanvasOutput(IdGadget))
  DrawingMode(#PB_2DDrawing_Default)
  Box(0, 0, Width, Height, GetWindowColor(GetActiveWindow())) 
  
  ;Couleur de fond du bouton
  RoundBox(0, 0, Width, height, 3, 3, BackColor) 
  
  ;Image
  If Image<>#PB_Ignore And IsImage(Image)
    x = (Width-ImageWidth(Image))/2
    y = (Height-ImageHeight(Image))/2  
    DrawImage(ImageID(Image), x, y)
  EndIf
  
  ;Bordure
  DrawingMode(#PB_2DDrawing_Outlined)
  RoundBox(0, 0, Width, Height, 3, 3, BorderColor)
  
  ;Texte
  DrawingMode(#PB_2DDrawing_Transparent)
  DrawText((Width - TextWidth(Text$))/2, (Height - TextHeight(Text$))/2, Text$, TextColor)
  StopDrawing()
EndProcedure
; IDE Options = PureBasic 4.61 (Windows - x86)
; CursorPosition = 42
; FirstLine = 5
; Folding = -
; EnableXP