;MindMap  V 1.90
;
;Create : 11 Juin 2012
;Update : 25 Juin 2015
;
;OS : Window, Linux, OSx
;PB 5.30
;
;
;Contributors
; Falsam
;
; Mesa           - Procedure ExamineEvent() : Ajout Redimentionnement d'une entit par les coins.
; BlendMan       - Procedure GetNearPoint
; electrochrisso - Alignement des entits sur le grid (SnapGrid) 
;
; Licence : Use As You Like
;
EnableExplicit
IncludeFile "LoadMessage.pbi" ;Affichage des liblls de l'application
IncludeFile "DrawFormatText.pbi" ;Affichage formatage et indentation d'un texte en mode graphique
IncludeFile "CustomGadget.pbi" ;Gadgets personnaliss (Boutons Inspecteur, preferences et Toolsbar)

;Initialisation et Outils
Declare Application_Init() ;Initialisation de l'application
Declare Application_Close() ; Fermeture de l'application
Declare SetNextField() ;Quel est le champ suivant (Inspecteur d'entit)
Declare GetNearPoint(x, SnapGrid) ;Calcul du point le plus proche sur le grid

;Application
Declare Quit() ;Fermeture de l'application
Declare Media_Load() ;Chargement des images se trouvant en data-section

;Ouverture et sauvegarde d'un fichier
Declare File_New(); Creation d'un nouveau GRID
Declare File_OpenDefault() ;lecture des preference application
Declare File_Open() ;Selection du GRID  ouvrir
Declare File_Load(*CurrentNode, CurrentSublevel) ;Chargement du GRID (C'est un fichier XML)
Declare File_Save() ;Sauvegarde du GRID
Declare Image_Save() ;Sauvegarde de l'image du projet

;Les fentres
Declare MainForm_Open()
Declare MainForm_Resize()
Declare MainForm_ToolHBI() ;Affichage ou pas de la barre d'icone

Declare Inspector_Open() ;Inspecteur d'entit
Declare Inspector_Update(Action.b=0) ;Mise  jour de l'inspecteur d'entit
Declare Inspector_Clear(Value.b=#True) ;Clear de l'inspecteur d'entit

Declare Preference_Open() ;Fenetre preference projet
Declare Preference_Update() ;Mise  jour de la fenetre prefrence projet

;les Entits 
Declare Entity_Add(Model.i) ;Ajout d'une entit
Declare Entity_AddImage(Action.b=0) ;Ajout ou modification d'une image
Declare Entity_Copy();Copier
Declare Entity_Paste() ;Coller 
Declare Entity_Delete() ;Supprimer
Declare EntityEdit_Open(); Editeur multiligne d'une entit
Declare EntityEdit_UPdate() ;Mide  jour de l'diteur multiligne d'une entit
Declare EntityEdit_Clear(Value.b=#True) ;Clear de l'diteur multiligne d'une entit 
Declare Entity_Select(Value) ;Slectionner ou dselectionner des entits
Declare GetEntityLink(CurrentEntity, Array ParentEntity(1)) ;Quels sont les parents d'une entit

;Les Nodes
Declare Node_Insert() ;Insertion d'un node

;Evnements et mises  jour du rsultat
Declare ExamineEvent(EventType.i) ;Quels sont les venementgs sur les entits (Deplacer, redimentionner ...)
Declare DesignUpdateContent(Output.b=#False) ;Mise  jour du rsultat


;Entits 
Enumeration 1
 	#PMBoxRound           ;Box coin rond
	#PMBox                ;Box coin carr
	#PMElipse             ;Elipse
	#PMTexte              ;Texte
	#PMDiamond            ;Losange
	#PMImage              ;Image
	#PMTable              ;Table
EndEnumeration


Enumeration 31
  #FontApp              ;Police de l'Application
  #FontGroupCaption     ;Police des titres de groupe
  
  #FontGridDefault      ;Police du grid par defaut
  #MarkDirectory        ;Dossier des marqueurs d'entits
  
  #Language             ;Fichier de langue 
  
  #DirLang              ;Dossier des fichiers de langue
  #DirTemplate          ;Dossier des templates
  
  ;-Enumeration Fenetre principale
  #MainForm             ;Application Main Form
  #Wrapper
	#Design               ;Grid
	#GridShow             ;Affichage du grid oui ou non
	
	#PopUpMenu            ;Menu PopUp associ
	
	#PMInsNode            ;Insertion d'un node comme fils de la selection
	#PMInsImage           ;Insertion d'une image
	#PMCopy               ;mmoriser une entit 	
	#PMPaste              ;Coller une entit
	#PMDelete             ;Supprimer une entit	
	#PMBackward           ;Mettre en arriere plan
	#PMForward            ;Mettre en avant plan
	
	#PMToolBarShow        ;Afficher la barre d'outils ou pas
  #PMEntityEdit         ;Mode edit multiligne 	
	#PMInspector          ;Inspector d'entit	
  #PMPreference         ;Preference	
	
	#FileNew              ;Cration d'un nouveau projet
	#FileOpen             ;Ouvrir un projet
	#FileSave             ;Sauvegarder un projet
	#FileSaveAs           ;Sauvegarder un projet sous ...  
	#ImageSaveAs          ;Sauvegarder une image du projet
	
	#XML                  ;Fichier XML  sauvegarder
	#ImageFile            ;Fichier JPG de l'image du projet
	#Image                ;Image du projet avant sauvegarde
	
	;-Enumeration Saisie multiligne d'une entit
	#EntityEditForm       ;Edition multiligne
	#EntityEdit           ;Edition multiligne
	#EditOk               ;Validation de la saisie
	#EditCancel           ;Abandon de la saisie
	#Kbd_CtrlReturn
	
	;-Enumeration Inspector et touches de racourci
	#EntityForm           ;Inspector
	#DSENTITY             ;Id Entit
 	#DSModel              ;Id Model
  #DSX                  ;Position X
  #DSY                  ;Position Y
  #DSW                  ;Largeur
  #DSH                  ;Hauteur
  #DSText               ;Texte de l'entit
  #DSTextEx             ;Bouton saisie texte Multiligne
  #DSJustify            ;Justifier le text gauche, droite, centre, gauche et droite
  #DSPadding            ;Marge intrieur
  
  #DSBackColor          ;Couleur arriere plan
  #DSTextColor          ;Couleur de texte
  #DSBorderColor        ;Couleur de la bordure
  #DSFont               ;police de caractre
  
  #DSSelCol1            ;Selecteur de couleur 1
  #DSSelCol2            ;Selecteur de couleur 2
  #DSSelCol3            ;Selecteur de couleur 3 
  
  #DSSelFont            ;Selecteur de font
  
  #DSLinkParent         ;Parent
  #DSNodeRelation       ;Type de relation (Parent -> Fils, Fils ->Parent
  #DSNodeParent         ;Node parent
    
  ;-Enumeration Prfrence
  #PreferenceForm       ;Fenetre Preference
  #PRGridBackColor      ;Couleur du grid
  #PRSnapSize           ;Interval (en Px) entre deux points sur le grid
  #PRSnapToGrid         ;Align une entit sur le grid
  #PRShowGrid           ;Affiche la grille oui ou  non (Affichage plus rapide sans le grid)
  #PRSelCol1            ;Choix d'une couleur : Appel  ColorRequester()
  #PRFont               ;Police de caractre par defaut
  #PRSelFont            ;Selecteur de font : Appel  FontRequester()
  #PREntityWidth        ;Largeur par defaut d'une entit
  #PREntityHeight       ;hauteur par defaut d'une entit
  #PREntityBackColor    ;Couleur d'arriere plan par defaut d'une entit
  
  #PRNodeClipsize        ;Taille de l'attache
  #PRNodeARrowWidth     ;largeur des fleches
  #PRNodeARrowHeight    ;largeur des fleches
  #PRNodeAnchorSize     ;Diametre d'un point d'ancrage
  #PRNodeColor          ;Couleur des lignes
  #PRSelCol2            ;Choix d'une couleur : Appel  ColorRequester()
  #PRNodeAnchorColor    ;Couleur des point d'ancrage
  #PRSelCol3            ;Choix d'une couleur : Appel  ColorRequester()
  #PRNodeTriangleColor  ;Couleur des fleches
  #PRSelCol4            ;Choix d'une couleur : Appel  ColorRequester()
  #PRLanguage           ;Choix d'une langue
  
  ;Touches de racourci
  #Kbd_B                ;Insertion d'un box
  #Kbd_I                ;Insertion d'une image
  #Kbd_T                ;Insertion d'un texte
  
  #Kbd_CtrlC            ;Copier (Ctrl+C)
  #Kbd_CtrlV            ;Coller (Ctrl+V)
	#Kbd_CtrlX            ;Supprimer (Ctrl+X)
	#Kbd_Del              ;Supprimer (Delete)
	#Kbd_CtrlA            ;Selectionner les entits
	
	#Kbd_CtrlL            ;Relier une entit  une autre non encore relie (Link)
	#Kbd_CtrlU            ;Dfaire une liaison sans dtruire l'entit. (Unlink)
	
	#Kbd_F11              ;Barre outils (11)
	#Kbd_F2               ;Inspecteur d'entit (F2)
	#Kbd_Space            ;Inspecteur d'entit (Barre Espace)
  
  #Kbd_CtrlP            ;Ouverture de la boite de dialogue preference
  
  #Kbd_CtrlN            ;Crer un nouveau projet (Ctrl+N)
  #Kbd_CtrlO            ;Ouverture d'un projet (Ctrl+O)
  #Kbd_CtrlS            ;Sauvegarde d'un projet (Ctrl+S)
  	
	#Kbd_Ins              ;insertion d'un node
	
  #Kbd_Return           ;Passage d'un champ  un autre
  #Kbd_Escape           ;Fermeture de l'inspecteur d'entit ou des prfrences 
  #Kdb_S                ;Activation ou desactivation du SnapGrid
  
  ;Enumration des media
  #Res_FileNew          ;Nouveau projet
  #Res_FileOpen         ;Ouverture d'un fichier
  #Res_FileSave         ;Sauvegarde d'un projet
  
  #Res_ImageSave        ;sauvegarde de l'image du projet
  
  #Res_Copy             ;Copy d'une entit
  #Res_Paste            ;Ajout d'une entit mmorise
  #Res_Delete           ;Suppression d'une entit
  
  #Res_TextLeft         ;Texte align  gauche
  #Res_TextRight        ;Texte align  droite
  #Res_TextCenter       ;Texte centr
  
  #Res_NodeAdd          ;Texte centr
  
  ;Enumration ToolBar
  #TBFileNew            ;Nouveau projet
  #TBFileOpen           ;Ouverture d'un projet
  #TBFileSave           ;Sauvegarder le projet en cours 
  
  #TBImageSave          ;Sauvegarde de l'image du projet
  
  #TBCopy               ;Mmoriser une entit
  #TBPaste              ;Coller une entit
  #TBDelete             ;Supprimer une entit
  
  #TBTextLeft           ;Texte align  gauche
  #TBTextRight          ;Texte align  droite
  #TBTextCenter         ;text centre
  
  #TBNodeAdd            ;Ajout d'un noeud
    
  
EndEnumeration

;Evenements, Window, Menu, Gadget, Type
Define.l Event, WEVent, MEvent, GEvent, TEvent 

;Style Window
Global WindowStyle.i=#PB_Window_MinimizeGadget|#PB_Window_MaximizeGadget|#PB_Window_ScreenCentered|#PB_Window_SizeGadget

;Definition d'une entit (*Valeur obligatoire)
Structure DefineEntity
  Entity.i            ;* Identifiant de l'entit
  Actif.b             ;* Active ou pas (#True ou #False)
  Current.b           ;* Slectionne ou pas (#True ou #False : Permet de dssiner le cadre de slection d'une entit)
  Frame.b             ;* Encadre ou pas (#True ou #False) pour dplacement multiple
  
  Model.i             ;Box, Circle. a peut tre n'importe quoi ou presque ....
  Left.i              ;* Coordonne X pour le dessin de l'entit
	Top.i               ;* Coordonne Y pour le dessin de l'entit
	Width.i             ;* Largeur pour le dessin de l'entit
	Height.i            ;* Coordonne X pour le dessin de l'entit
	BorderColor.i       ;Couleur de la bordure
	Round.i             ;Rayon des coins arrondis
	BackGroundColor.i   ;Couleur arriere plan 
	Text.s              ;Texte  afficher 
  TextColor.i         ;Couleur du texte
  Justify.i           ;Cadrage  gauche, droite, centre, gauche et droite
  padding.i           ;marge intrieur
  
  Font.l
  FontName.s          ;Font Name
  FontSize.i          ;FontSize
  FontStyle.i         ;FontStyle
  
  Image.s             ;Image
  
	LastParent.i        ;* Parent direct
	Parents.i[100]      ;* Qui sont les autres parents (100 maximum)

	LinkParent.l        ;* Entit Parent
	LinkRelation.i      ;Type de relation (Parent->Fils ou  Fils->Parent)
EndStructure

;Liste des entits et ses 4 pointeurs
Global NewList Entity.DefineEntity() ;Liste des entits 
Global *EntityHover.DefineEntity ;Entit survole
Global *ActiveEntity.DefineEntity ;Entit en cours de dplacement redimentionnement
Global *InspectEntity.DefineEntity ;Entit slectionne pour l'inspecteur d'entit
Global MemoryEntity.DefineEntity ;Entit mmorise pour copier/coller
Global *LinkEntity.DefineEntity ;Entit li 
Global *SelectEntity.DefineEntity ; Entit slectionne

;Langage utilis
Global Language.s

;Entit : Dimension et couleur par defaut
Global DefaultWidth.i
Global DefaultHeight.i
Global DefaultColor.i
Global DefaultBackColor.i
Global SelectBorderColor.i
Global DefaultPadding.i

Global ItemBackGroundColor1.i
Global ItemBackGroundColor2.i

;Entit : Pour une entit, quels sont les parents 
Global Dim ParentEntity(100)

;Entit : Si Ctrl+L, quel est l'entit  relier
Global EntityToSelect.i

;Souris : Distances X Y entre la souris et les coordonnes X Y de l'entit
Global DeltaX.i, DeltaY.i

;Souris : Coordonnes X Y de la souris sur le Grid
Global MouseX.i, MouseY.i

;Grid : Dimension par defaut, Couleur d'arriere plan par defaut, Alignement, Affichage
Global DesignX.i, DesignY.i, DesignWidth.i, DesignHeight.i
Global GridBackColor.l ;Couleur d'arriere plan
Global SnapToGrid.b ;Alignement sur la grille (Oui ou Non)
Global ShowGrid ;Montrer la grille (oui ou Non)

;SnapGrid : Coordonnes X,Y, Intervalles entres les points
Global SnapX.i, SnapY.i

;Inspector : Derniere coordonne de l'inspecteur d'entit, Couleur champs actifds
Global InspectorX.i, InspectorY.i
Global FieldFocusBackColor.l

;Selecteur de couleur
Global SelectColor.i

;Selecteur de police de caractre
Global SelectFont.l, FontName.s, FontSize.i, FontStyle.i, FontColor.i

;Node : Taille attache et point d'ancrage, couleur du point d'ancrage
Global NodeClipSize.i, NodeAnchorSize.i, NodeAnchorColor.i, NodeConnectionColor.i

;Node : Dessin du triangle (Largeurn, Hauteur, Couleur)
Global NodeArrowWidth.i, NodeArrowHeight.i, NodeArrowColor.i


;Ouverture et sauvegarde d'un projet
;SaveFile - Sauvegarder le fichier XML Oui ou Non
;XMLFile  - Nom du fichier  sauvegarder 
;NewFile.b - Une sauvegarde est  faire oui ou non
Global XMLFile.s, SaveFile.b, NewFile.b 
Global ImageFile.s


;Hauteur et largeurd'un gadget et marge haute entre deux gadgets (Inspecteur, Preference)
Global GadgetHeight.i, GadgetWidth.i, GadgetTopMarge.i

;Cadre de slection d'entits 
Global SelX0.i, SelY0.i, SelX1.i, SelY1.i, SelX2.i, SelY2.i

;IsNumeric
Global *IsNUmeric = CreateRegularExpression(#PB_Any ,"^[-]?\d*[.,]?\d*$")


;
;Initialisation de l'application
Procedure Application_Init()
  Protected Buffer.s, N.i, Translation.s
  
  ;Font Application, Font titre, Font Entit
  LoadFont(#FontApp, "Arial", 9)
  SetGadgetFont(#PB_Default,FontID(#FontApp)) 

  LoadFont(#FontGroupCaption, "Arial", 9, #PB_Font_Bold) ;Titre en gras

  LoadFont(#FontGridDefault, "Arial", 9) ;Font par defaut d'une entit

  ;Hauteur d'un gadget dans les outils Inspecteur et Preference.
  ;Interligne entres les bords hauts de deux gadgets.
  GadgetHeight = 23 
  GadgetWidth = 120
  GadgetTopMarge = 30 

  ;Grid : Couleur et espace entres les points du grid
  GridBackColor = RGB(240, 240, 240)
  SnapX = 10
  SnapY = 10
  SnapToGrid = #False ;Alignement des entits sur la grille
  ShowGrid = #True ;Montre la grille

  ;Entit : Dimensions, couleur, Font
  DefaultWidth = 150 
  DefaultHeight = 50
  DefaultColor = RGB(0, 0, 0)
  DefaultBackColor = RGB(255, 250, 208)
  
  ItemBackGroundColor1 = RGB(237, 234, 234)
  ItemBackGroundColor2= RGB(210, 206, 206)
  
  SelectBorderColor = RGB(255, 0, 0) ;Cadre de selection d'une entit
  DefaultPadding = 5 ;Marge haut, bas, droit, gauche par defaut
  FontName = "Arial"
  FontSize = 9
  FontStyle = 0 ;Normal

  ;Cadre de slection d'entit
  SelX1 = -1
  SelX2 = -1
  SelX2 = -1
  SelY2 = -1

  ;Outils 
  FieldFocusBackColor = RGB(229, 252, 223)

  ;Node
  NodeClipSize = 20 ;Amorce du node (Trait vertical actuellement et horizontal bientot)

  NodeAnchorSize = 2 ;Diametre d'un point d'ancrage
  NodeAnchorColor = RGB(255, 69, 0) ;Couleur d'un point d'ancrage

  NodeConnectionColor = RGB(205, 92, 92) ;Couleur du trait de connection

  NodeArrowWidth = 10 ;Largeur de la flche
  NodeArrowHeight = 15 ;hauteur de la flche
  NodeArrowColor = RGB(0, 0, 0) ;Couleur de la flche

  ;Fichier  sauvegarder : Nom, indicateurs de sauvegarde
  XMLFile = "NewFile.xml"
  NewFile = #True ;L'application va s'ouvrir c'est forcement un nouveau fichier
  SaveFile = #False ;par contre, il n'y a pas encore d'entit. Pas de sauvegarde  faire  
  
  ;
  If OpenPreferences("Preferences.prefs")
    PreferenceGroup("Global")
    Language = ReadPreferenceString ("Language", "Franais") 
    InspectorX = ReadPreferenceLong ("InspectorX", -1) 
    InspectorY = ReadPreferenceLong ("InspectorY", -1)
    
    ClosePreferences()
  Else
    PreferenceGroup("Global")
    WritePreferenceString ("Language", "Franais") 
    WritePreferenceLong("InspectorX", -1)
    WritePreferenceLong("InspectorY", -1)
    
    ClosePreferences()
  EndIf
  
  ;Initialisation du language
  If ReadFile(#Language, "lang/"+Language+".txt")
    While Eof(#Language) = 0
      
      Buffer = ReadString(#Language)
      N = FindString(Buffer, "=")
      Translation = Trim(Mid(Buffer, N+1))
      
      Select Trim(StringField(Buffer, 1, "="))
        Case "TBFileNew"
          TBFileNew = Translation
          
        Case "TBFileOpen"
          TBFileOpen = Translation
          
        Case "TBFileSave"
          TBFileSave = Translation
          
        Case "TBImageSave"
          TBImageSave = Translation
          
        Case "TBTextLeft"
          TBTextLeft = Translation
          
        Case "TBTextCenter"
          TBTextCenter = Translation
          
        Case "TBTextRight"
          TBTextRight = Translation
          
        Case "TBNodeAdd"
          TBNodeAdd = Translation
          
        ;Menu contextuel (PopUp menu)
        
        Case "PMInsertEntity"
          PMInsertEntity = Translation
          
        Case "PMBoxRound"
          PMBoxRound = Translation
          
        Case "PMBox"
          PMBox = Translation
          
        Case "PMElipse"
          PMElipse = Translation
          
        Case "PMText"
          PMText = Translation
                    
        Case "PMDiamond"
          PMDiamond = Translation
          
        Case "PMImage"
          PMImage = Translation
          
        Case "PMTable"
          PMTable = Translation
                    
        Case "PMInsNode"
          PMInsNode = Translation
          
        Case "PMCopy"
          PMCopy = Translation
          
        Case "PMPaste"
          PMPaste = Translation
          
        Case "PMDelete"
          PMDelete = Translation
          
        Case "PMForward"
          PMForward = Translation
          
        Case "PMBackward"
          PMBackward = Translation
          
        Case "PMToolBarShow"
          PMToolBarShow = Translation
          
        Case "PMEntityEdit"
          PMEntityEdit = Translation
          
        Case "PMInspector"
          PMInspector = Translation
          
        Case "PMPreference"
          PMPreference = Translation
          
        Case "FileNew"
          FileNew = Translation
          
        Case "FileOpen"
          FileOpen = Translation
          
        Case "FileSave"
          FileSave = Translation
          
        Case "FileSaveAs"
          FileSaveAs = Translation
          
        Case "ImageSaveAs"
          ImageSaveAs = Translation
          
        ;Inspecteur d'entit
        Case "EntityForm"
          EntityForm = Translation
          
        Case "DSSizeOption"
          DSSizeOption = Translation
          
        Case "DSX"
          DSX = Translation
          
        Case "DSY"
          DSY = Translation
          
        Case "DSW"
          DSW = Translation
          
        Case "DSH"
          DSH = Translation
          
        Case "DSText"
          DSText = Translation
          
        Case "DSTextEx"
          DSTextEx = Translation
          
        Case "DSStyleOption"
          DSStyleOption = Translation
          
        Case "DSModel"
          DSModel = Translation
          
        Case "DSJustify"
          DSJustify = Translation
          
        Case "AlignLeft"
          AlignLeft = Translation
          
        Case "AlignRight"
          AlignRight = Translation
          
        Case "AlignCenter"
          AlignCenter = Translation
          
        Case "AlignJustify"
          AlignJustify = Translation
          
        Case "DSPadding"
          DSPadding = Translation
          
        Case "DSTextColor"
          DSTextColor = Translation
          
        Case "DSBackColor"
          DSBackColor = Translation
          
        Case "DSBorderColor"
          DSBorderColor = Translation
          
        Case "DSFont"
          DSFont = Translation
          
        Case "DSEntityOption"
          DSEntityOption = Translation
          
        Case "DSENTITY"
          DSENTITY = Translation
          
        Case "DSNodeRelation"
          DSNodeRelation = Translation
          
        Case "ParentToSon"
          ParentToSon = Translation
          
        Case "SonToParent"
          SonToParent = Translation
          
        Case "DSLinkParent"
          DSLinkParent = Translation
          
        Case "DSNodeParent"
          DSNodeParent = Translation
          
        ;Preference Project 
        Case "PReferenceForm"
          PReferenceForm = Translation
          
        Case "PRGridOption"
          PRGridOption = Translation
          
        Case "PRGridBackColor"
          PRGridBackColor = Translation
          
        Case "PRSnapSize"
          PRSnapSize = Translation
          
        Case "PRSnapToGrid"
          PRSnapToGrid = Translation
          
        Case "PRShowGrid"
          PRShowGrid = Translation
          
        Case "PREntityOption"
          PREntityOption = Translation
          
        Case "PRFont"
          PRFont = Translation
          
        Case "PREntityWidth"
          PREntityWidth = Translation
          
        Case "PREntityHeight"
          PREntityHeight = Translation
          
        Case "PRNodeOption"
          PRNodeOption = Translation
          
        Case "PRNodeClipsize"
          PRNodeClipsize = Translation
          
        Case "PRNodeAnchorSize"
          PRNodeAnchorSize = Translation
          
        Case "PRNodeARrowWidth"
          PRNodeARrowWidth = Translation
          
        Case "PRNodeARrowHeight"
          PRNodeARrowHeight = Translation
          
        Case "PRNodeColor"
          PRNodeColor = Translation
          
        Case "PRNodeAnchorColor"
          PRNodeAnchorColor = Translation
          
        Case "PRNodeTriangleColor"
          PRNodeTriangleColor = Translation
          
        Case "PRLanguage"
          PRLanguage = Translation
          
        ;Editeur d'entit
        Case "EntityEditForm"
          EntityEditForm = Translation
          
        Case "EditOk"
          EditOk = Translation
          
        Case "EditCancel"
          EditCancel = Translation
          
        Case "MChooseChildEntity"
          MChooseChildEntity = Translation
          
        Case "MYes"
          MYes = Translation
          
        Case "MNo"
          MNo = Translation
          
        Case "MInformation"
          MInformation = Translation
          
        Case "MError"
          MError = Translation

        Case "MColorSelector"
          MColorSelector = Translation
          
        Case "MFontSelector"
          MFontSelector = Translation
          
        Case "Mopenfile"
          Mopenfile = Translation
          
        Case "Msavefile"
          Msavefile = Translation
          
        Case "MSavefileAs"
          MSavefileAs = Translation
          
        Case "MinformationSave"
          MinformationSave = Translation
          
        Case "Merrorfile"
          Merrorfile = Translation
          
        Case "MErrorfileexist"
          MErrorfileexist = Translation
          
        Case "MErrorfiledelete"
          MErrorfiledelete = Translation
          
        Case "Mimagefileopen"
          Mimagefileopen = Translation
          
        Case "Mimagefilesave"
          Mimagefilesave = Translation
          
        Case "MChooseEntity"
          MChooseEntity = Translation
          
        Case "MCloseANdRun"
          MCloseANdRun = Translation
      EndSelect  
    Wend
    
    CloseFile(#Language) 
  EndIf
EndProcedure


;
;Fermeture de l'application
Procedure Application_Close()
  Protected Result
  
  FreeRegularExpression (*IsNumeric)
  
  If SaveFile=#True And ListSize(Entity())<>0
    Result=MessageRequester(MInformation,MSaveFile,#PB_MessageRequester_YesNo)
  EndIf
  
  If Result=#PB_MessageRequester_Yes 
    File_Save()
  EndIf  
  
  ;Mmorisation des coordonnes de l'inspecteur si ouvert
  If IsWindow(#EntityForm)
    InspectorX = WindowX(#EntityForm)
    InspectorY = WindowY(#EntityForm)
    CloseWindow(#EntityForm)
  EndIf
  
  
  If OpenPreferences("Preferences.prefs")
    PreferenceGroup("Global")
    WritePreferenceString("Language", Language)
    WritePreferenceLong("InspectorX", InspectorX)
    WritePreferenceLong("InspectorY", InspectorY)
    
    ClosePreferences()

  EndIf
  
EndProcedure

;
;Connaitre le prochain champs (gadget) actif apres avoir presser sur la touche entre
Procedure SetNextField()
  
  Select GetActiveGadget()
      
    ;Inspecteur
    Case #DSX
      SetActiveGadget(#DSY)
      
    Case #DSY  
      SetActiveGadget(#DSW)
      
    Case #DSW  
      SetActiveGadget(#DSH)
      
    Case #DSH  
      SetActiveGadget(#DSText)
      
    Case #DSText
      SetActiveGadget(#DSPadding)      
      
    Case #DSPadding  
      SetActiveGadget(#DSX)      
      
      ;Preference  
    Case #PREntityWidth
      SetActiveGadget(#PREntityHeight)      
        
    Case #PREntityHeight
      SetActiveGadget(#PREntityWidth)      
      
  EndSelect
EndProcedure

;
;Calcul du point le plus proche 
Procedure GetNearPoint(x, SnapGrid)
  x = Round(X / SnapGrid, #PB_Round_Nearest) * SnapGrid
  ProcedureReturn x
EndProcedure

;
;Quitter


;
;Chargement des mdias
Procedure Media_Load()
  CatchImage(#Res_FileNew, ?Res_FileNew) ;Toolbar-Icone Nouveau projet
  CatchImage(#Res_FileOpen, ?Res_FileOpen) ;Toolbar-Icone ouverture d'un projet
  CatchImage(#Res_FileSave, ?Res_FileSave) ;Toolbar-Icone Sauvegarde d'un projet
  CatchImage(#Res_ImageSave, ?Res_ImageSave) ;Toolbar-Icone Sauvegarde d'un projet
  
  CatchImage(#Res_Copy, ?Res_Copy) ;Toolbar-Icone Copy
  CatchImage(#Res_Paste, ?Res_Paste) ;Toolbar-Icone Paste
  CatchImage(#Res_Delete, ?Res_Delete) ;Toolbar-Icone Delete
  
  CatchImage(#Res_TextLeft, ?Res_TextLeft) ;Toolbar-Icone Texte align  gauche
  CatchImage(#Res_TextCenter, ?Res_TextCenter) ;Toolbar-Icone Texte centr
  CatchImage(#Res_TextRight, ?Res_TextRight) ;Toolbar-Icone Texte align  droite
  
  CatchImage(#Res_NodeAdd, ?Res_NodeAdd) ;Toolbar-Icone Ajout d'un node
EndProcedure


;
;Cration d'un nouveau projet
Procedure File_New()
  Protected Result.i
  
  ;La conception actuelle n'est pas sauvegarde. Faut il sauvegarder ?
  If SaveFile=#True 
    Result=MessageRequester(MinFormation, MSaveFile, #PB_MessageRequester_YesNo)
    Savefile=#False  
  EndIf
  
  ;Pas de sauvegarde  faire 
  If Result=#PB_MessageRequester_No Or Savefile = #False
    
    NewFile=#True ;C'est un nouveau fichier
    ClearList(Entity())
    File_OpenDefault() ;Chargement des options par defaut (Default.xml)
    
    ;Position des scroll  0 
    SetGadgetAttribute(#Wrapper, #PB_ScrollArea_X, 0)
    SetGadgetAttribute(#Wrapper, #PB_ScrollArea_Y, 0)
    
    ;Mise  jour de l'affichage
    DesignUpdateContent()
    SaveFile=#False ;Pour le moment inutile de le sauvegarder
  Else
    File_Save()
    File_New()
  EndIf
  
  ;Mise  jour des fenetre ouvertes 
  If IsWindow(#PreferenceForm)
    Preference_Update()
  EndIf
  
  If IsWindow(#EntityForm)
    Inspector_Clear()
  EndIf  
  
  ImageFile="NewFile.jpg"
EndProcedure

;
;Ouverture du fichier par default 
;Ce fichier contient les preference de votre application
Procedure File_OpenDefault()
  Protected Message$, *MainNode
  If LoadXML(#XML, GetCurrentDirectory()+"Default.XML")
    If XMLStatus(#XML) <> #PB_XML_Success
      Message$ = MErrorfile + Chr(13)
      Message$ + "Message: " + XMLError(#XML) + Chr(13)
      Message$ + "Li : " + Str(XMLErrorLine(#XML)) + "   Car : " + Str(XMLErrorPosition(#XML))
      MessageRequester(MError, Message$)
    EndIf
   
    *MainNode = MainXMLNode(#XML)      
    If *MainNode
      File_Load(*MainNode, 0)
      
    EndIf   
    SetGadgetColor(#Wrapper, #PB_Gadget_BackColor, GridBackColor)
  EndIf
EndProcedure


;
;Ouverture d'un fichier
Procedure File_Open()
  Protected Message$, *MainNode, Result.i
  Protected Filter$="XML (*.xml)|*.xml|Tous les fichiers (*.*)|*.*"
  
  If SaveFile=#True 
    Result=MessageRequester(MInformation, MSaveFile,#PB_MessageRequester_YesNo)
    Savefile=#False  
  EndIf
  
  If Result=#PB_MessageRequester_Yes; Or Savefile = #True
    File_Save()
  Else
    
  EndIf
  
  ClearList(Entity())
  DesignUpdateContent()
  NewFile=#False ;Ce n'est pas un nouveau fichier
  SaveFile=#False ;On vient d'ouvrir le fichier. Inutile de le sauvegarder
  
  XMLFile = OpenFileRequester(MOpenFile, "", Filter$, 0)
  
  If XMLFile <> ""
    If LoadXML(#XML, XMLFile)
      
      ImageFile=Mid(XMLFile, 1, Len(XMLFile)-Len(GetExtensionPart(XMLFile)))+"jpg"
      
      If XMLStatus(#XML) <> #PB_XML_Success
        Message$ = Merrorfile + Chr(13)
        Message$ + "Message: " + XMLError(#XML) + Chr(13)
        Message$ + "Li : " + Str(XMLErrorLine(#XML)) + "   Car : " + Str(XMLErrorPosition(#XML))
        MessageRequester(MError, Message$)
      EndIf
    
      *MainNode = MainXMLNode(#XML)      
      If *MainNode
        File_Load(*MainNode, 0)
        DesignUpdateContent()
      EndIf 
    Else
      MessageRequester(MError, Merrorfile)
    EndIf
    FreeXML(#XML)
  EndIf
EndProcedure


;
;Charge le fichier XML slectionn  
Procedure File_Load(*CurrentNode, CurrentSublevel)
  Protected *ChildNode, NodeName.s, NodeText.s, N.i
    
  If XMLNodeType(*CurrentNode) = #PB_XML_Normal  
    NodeName = GetXMLNodeName(*CurrentNode) ; Nom du noeud
    NodeText = GetXMLNodeText(*CurrentNode) ; Valeur du noeud
  EndIf
  
  Select NodeName
    Case "canvas"
      ResizeWindow(#MainForm, #PB_Ignore, #PB_Ignore, Val(GetXMLAttribute(*CurrentNode, "width")), Val(GetXMLAttribute(*CurrentNode, "height")))
       
      GridBackColor = Val(GetXMLAttribute(*CurrentNode, "gridbackcolor"))
      SnapX = Val(GetXMLAttribute(*CurrentNode, "snapx"))
      SnapY = Val(GetXMLAttribute(*CurrentNode, "snapy"))
      SnapToGrid = Val(GetXMLAttribute(*CurrentNode, "snaptogrid"))
      
      FontName = GetXMLAttribute(*CurrentNode, "fontname")
      FontSize = Val(GetXMLAttribute(*CurrentNode, "fontsize"))
      
      DefaultWidth = Val(GetXMLAttribute(*CurrentNode, "entitywidth"))
      DefaultHeight = Val(GetXMLAttribute(*CurrentNode, "entityheight"))
      
      NodeConnectionColor = Val(GetXMLAttribute(*CurrentNode, "nodeconnectioncolor"))
      
      NodeClipSize = Val(GetXMLAttribute(*CurrentNode, "nodeclipsize"))
      NodeAnchorSize = Val(GetXMLAttribute(*CurrentNode, "nodeanchorsize"))
      NodeAnchorColor = Val(GetXMLAttribute(*CurrentNode, "nodeanchorcolor"))
      NodeArrowWidth = Val(GetXMLAttribute(*CurrentNode, "nodearrowwidth"))
      NodeArrowHeight = Val(GetXMLAttribute(*CurrentNode, "nodearrowheight"))
      NodeArrowColor = Val(GetXMLAttribute(*CurrentNode, "nodearrowcolor"))
      
    Case "newentity"
      AddElement(Entity())
      Entity()\Actif = #True
      Entity()\Current = #False
      entity()\Entity = Val(NodeText)      
      
    Case "entity"
      entity()\Entity = Val(NodeText)
    Case "actif"
      entity()\Actif = Val(NodeText)
    Case "model"
      entity()\Model = Val(NodeText)
    Case "left"
      Entity()\Left = Val(NodeText)
	  Case "top"
	    entity()\Top = Val(NodeText)
	  Case "width"
	    entity()\Width = Val(NodeText)
	  Case "height"
	    entity()\Height = Val(NodeText)
	  Case "round"
	    entity()\Round = Val(NodeText)
	  Case "text"
	    entity()\Text = NodeText
	  Case "justify"
	    entity()\Justify = Val(NodeText)
	  Case "padding"
	    entity()\padding = Val(NodeText)
	  Case "textcolor" 
	    entity()\TextColor = Val(NodeText)
    Case "bordercolor"
      entity()\BorderColor = Val(NodeText)
	  Case "backgroundcolor"
	    entity()\BackGroundColor = Val(NodeText)
	  Case "fontname"
	    entity()\FontName = NodeText
	  Case "fontsize"
	    entity()\Fontsize = Val(NodeText)
	  Case "fontstyle"
	    entity()\FontStyle = Val(NodeText)
	    entity()\Font=LoadFont(#PB_Any, entity()\FontName, entity()\Fontsize, entity()\FontStyle) 
	  Case "lastparent" 
	    entity()\LastParent = Val(NodeText)
	  Case "parents"
	    For N=0 To CountString(NodeText,"|")
	      Entity()\Parents[N]=Val(StringField(NodeText, N+1, "|"))
	    Next
	  Case "node"
	    Entity()\LinkParent=Val(NodeText)
	  Case "linkrelation"
	    Entity()\LinkRelation=Val(NodeText)
	  Case "image"
	    Entity()\Image=NodeText
	    
  EndSelect
  
    
  *ChildNode = ChildXMLNode(*CurrentNode)
  
  While *ChildNode <> 0
    File_Load(*ChildNode, CurrentSublevel + 1)      
    *ChildNode = NextXMLNode(*ChildNode)
  Wend 
  
  ;Mise  jour des fenetre ouvertes 
  If IsWindow(#PreferenceForm)
    Preference_Update()
  EndIf
  
  If IsWindow(#EntityForm)
    Inspector_Clear()
  EndIf
EndProcedure


;
;Sauvegarde d'un fichier
Procedure File_Save()
  Protected Result.i=-1, Buffer.s, N.i
  
  Protected Filter$="XML (*.xml)|*.xml|Tous les fichiers (*.*)|*.*"
  Protected xml.i, MainNode.i, ChildNode.i, Item.i
  
  ;Si c'est un nouveau fichier, on lui donne un nom
  ;Si pas d'extention xml alors on l'ajoute
  If NewFile
    XMLFile=SaveFileRequester(MSavefileas, XMLFile, Filter$, 0)
    If XMLFile
      If GetExtensionPart(XMLFile) = ""
        XMLFile+".xml"
      EndIf
    Else
      XMLFile=""
    EndIf
  EndIf
  
  ;Le nom est donn
  If XMLFile
    
    ;C'est un nouveau fichier mais le nom existe dja !!
    If ReadFile(#XML, XMLFile) And NewFile=#True
      CloseFile(#XML)
      Buffer=MErrorfileexist + Chr(13)+ XMLFile +Chr(13)
      Buffer+"Souhaitez vous vraiment l'ecraser ?"
      
      Result = MessageRequester(MInformation, Buffer, #PB_MessageRequester_YesNo)
    EndIf
    
    ;Dbut de la sauvegarde
    If Result=#PB_MessageRequester_Yes Or Result=-1
      
      If ReadFile(#XML, XMLFile)
        CloseFile(#XML)
        DeleteFile(XMLFile)
      EndIf
    
      ; Cration d'un objet xml 
      xml=CreateXML(#PB_Any)
      MainNode = CreateXMLNode(RootXMLNode(xml), "canvas")
      
      SetXMLNodeName(mainNode, "canvas")
      SetXMLAttribute(MainNode, "width", Str(WindowWidth(#MainForm)))
      SetXMLAttribute(MainNode, "height", Str(WindowHeight(#MainForm)))
      SetXMLAttribute(MainNode, "gridbackcolor", Str(GridBackColor))
      SetXMLAttribute(MainNode, "snapx", Str(SnapX))
      SetXMLAttribute(MainNode, "snapy", Str(SnapY))
      SetXMLAttribute(MainNode, "snatogrid", Str(SnapToGrid))
      SetXMLAttribute(MainNode, "fontname", FontName)
      SetXMLAttribute(MainNode, "fontsize", Str(FontSize))
      SetXMLAttribute(MainNode, "entitywidth", Str(DefaultWidth))
      SetXMLAttribute(MainNode, "entityheight", Str(DefaultHeight))
      SetXMLAttribute(MainNode, "nodeclipsize", Str(NodeClipSize))
      SetXMLAttribute(MainNode, "nodeconnectioncolor", Str(NodeConnectionColor))
      SetXMLAttribute(MainNode, "nodeanchorcolor", Str(NodeAnchorColor))
      SetXMLAttribute(MainNode, "nodeanchorsize", Str(NodeAnchorSize))
      SetXMLAttribute(MainNode, "nodearrowwidth", Str(NodeArrowWidth))
      SetXMLAttribute(MainNode, "nodearrowheight", Str(NodeArrowHeight))
      SetXMLAttribute(MainNode, "nodearrowcolor", Str(NodeArrowColor))
     
      ; Sauvegarde des differentent entits
      ForEach Entity()
        With Entity()
          ChildNode = CreateXMLNode(MainNode, "newentity") 
          SetXMLNodeName(ChildNode, "newentity")
        
          Item = CreateXMLNode(ChildNode, "entity")
          SetXMLNodeName(item, "entity") 
          SetXMLNodeText(Item, Str(\Entity))
            
          Item = CreateXMLNode(ChildNode, "actif")
          SetXMLNodeName(item, "actif") 
          SetXMLNodeText(Item, Str(\Actif))
        
          Item = CreateXMLNode(ChildNode, "model")
          SetXMLNodeName(item, "model") 
          SetXMLNodeText(Item, Str(\Model))
                  
          Item = CreateXMLNode(ChildNode, "left")
          SetXMLNodeName(item, "left") 
          SetXMLNodeText(Item, Str(\Left))
        
          Item = CreateXMLNode(ChildNode, "top")
          SetXMLNodeName(item, "top") 
          SetXMLNodeText(Item, Str(\Top))
        
          Item = CreateXMLNode(ChildNode, "width")
          SetXMLNodeName(item, "width") 
          SetXMLNodeText(Item, Str(\Width))
        
          Item = CreateXMLNode(ChildNode, "height")
          SetXMLNodeName(item, "height") 
          SetXMLNodeText(Item, Str(\Height))
        
          Item = CreateXMLNode(ChildNode, "text")
          SetXMLNodeName(item, "text") 
          SetXMLNodeText(Item, \Text)
          
          Item = CreateXMLNode(ChildNode, "justify")
          SetXMLNodeName(item, "justify") 
          SetXMLNodeText(Item, Str(\Justify))
          
          Item = CreateXMLNode(ChildNode, "padding")
          SetXMLNodeName(item, "padding") 
          SetXMLNodeText(Item, Str(\Padding))
        
          Item = CreateXMLNode(ChildNode, "textcolor")
          SetXMLNodeName(item, "textcolor") 
          SetXMLNodeText(Item, Str(\TextColor))
       
          Item = CreateXMLNode(ChildNode, "backgroundcolor")
          SetXMLNodeName(item, "backgroundcolor") 
          SetXMLNodeText(Item, Str(\BackGroundColor))

          Item = CreateXMLNode(ChildNode, "bordercolor")
          SetXMLNodeName(item, "bordercolor") 
          SetXMLNodeText(Item, Str(\BorderColor))
        
          Item = CreateXMLNode(ChildNode,"round")
          SetXMLNodeName(item, "round") 
          SetXMLNodeText(Item, Str(\round))
          
          Item = CreateXMLNode(ChildNode, "fontname")
          SetXMLNodeName(item, "fontname") 
          SetXMLNodeText(Item, \FontName)
          
          Item = CreateXMLNode(ChildNode, "fontsize")
          SetXMLNodeName(item, "fontsize") 
          SetXMLNodeText(Item, Str(\FontSize))
          
          Item = CreateXMLNode(ChildNode, "fontstyle")
          SetXMLNodeName(item, "fontstyle") 
          SetXMLNodeText(Item, Str(\FontStyle))
          
          Item = CreateXMLNode(ChildNode, "lastparent")
          SetXMLNodeName(item, "lastparent") 
          SetXMLNodeText(Item, Str(\LastParent))
        
          Item = CreateXMLNode(ChildNode, "parents")
          SetXMLNodeName(item, "parents") 
          
          Buffer=""
          For N=0 To \Parents[0]
            Buffer + Str(\Parents[n])
            If N<>\Parents[0]
              Buffer+"|"
            EndIf
          Next
          SetXMLNodeText(Item, Buffer)            
          
          Item = CreateXMLNode(ChildNode, "node")
          SetXMLNodeName(Item, "node") 
          SetXMLNodeText(Item, Str(\LinkParent))
          
          Item = CreateXMLNode(ChildNode, "linkrelation")
          SetXMLNodeName(item, "linkrelation") 
          SetXMLNodeText(Item, Str(\LinkRelation))
          
          Item = CreateXMLNode(ChildNode, "image")
          SetXMLNodeName(Item, "image") 
          SetXMLNodeText(Item,\Image)
          
        EndWith      
      Next
      SaveXML(xml, XMLFile)
      FreeXML(xml)
      
      SaveFile=#False
      NewFile=#False
      
      MessageRequester(MInformation, MinformationSave)  
    EndIf  
  EndIf
EndProcedure

;
;Avoir une capture image du projec (jpg) 
Procedure Image_Save()
  Protected Result.i=-1, Buffer.s, N.i
  
  Protected Filter$="JPG (*.jpg)|*.jpg|Tous les fichiers (*.*)|*.*"
  
  ;Si c'est un nouveau fichier, on lui donne un nom
  ;Si pas d'extention xml alors on l'ajoute
  If NewFile
    ImageFile=SaveFileRequester(ImageSaveAs, ImageFile, Filter$, 0)
    If ImageFile
      If GetExtensionPart(ImageFile) = ""
        ImageFile+".jpg"
      EndIf
    Else
      ImageFile=""
    EndIf
  EndIf
  
  ;Le nom est donn
  If ImageFile
    
    ;C'est un nouveau fichier mais le nom existe dja !!
    If ReadFile(#ImageFile, ImageFile) And NewFile=#True
      CloseFile(#ImageFile)
      Buffer = MErrorfileExist + Chr(13)+ImageFile + Chr(13)
      Buffer + MErrorfiledelete
      
      Result = MessageRequester(MInformation, Buffer, #PB_MessageRequester_YesNo)
    EndIf
    
    ;Dbut de la sauvegarde
    If Result=#PB_MessageRequester_Yes Or Result=-1
      
      If ReadFile(#ImageFile, ImageFile)
        CloseFile(#ImageFile)
        DeleteFile(ImageFile)
      EndIf      
      
      SaveImage(#Image, ImageFile, #PB_ImagePlugin_JPEG)
      
      MessageRequester(MInformation, MInformationSave)  
    EndIf  
  EndIf
EndProcedure


;
; Fenetre principale
; 
Procedure Mainform_Open()  
  
  If OpenWindow(#Mainform, 0, 0, 800, 600, "MindMap 1.90", WindowStyle)
    
    ;Tools Bar (CGButtonGadget se trouve dans le fichier include Customgadget.pbi)
    CGButtonGadget(#TBFileNew, 10, 10, 23, 23, "", #Res_FileNew, $000000, $FFFFFF)
    GadgetToolTip(#TBFileNew, TBFileNew)
    
    CGButtonGadget(#TBFileOpen, 35, 10, 23, 23, "",  #Res_FileOpen, $000000, $FFFFFF)
    GadgetToolTip(#TBFileOpen, TBFileOpen)
    
    CGButtonGadget(#TBFileSave, 60, 10, 23, 23, "", #Res_FileSave, $000000, $FFFFFF)
    GadgetToolTip(#TBFileSave, TBFileSave)
    
    CGButtonGadget(#PB_Any, 90, 7, 3, 29, "", #PB_Ignore, $000000, $C0C0C0, $FFFFFF)
    
    CGButtonGadget(#TBImageSave, 100, 10, 23, 23, "", #Res_ImageSave, $000000, $FFFFFF)
    GadgetToolTip(#TBImageSave, TBImageSave)
    
    CGButtonGadget(#PB_Any, 130, 7, 3, 29, "", #PB_Ignore, $000000, $C0C0C0, $FFFFFF)
    
    CGButtonGadget(#TBTextLeft, 140, 10, 23, 23, "", #Res_TextLeft, $000000, $FFFFFF)
    GadgetToolTip(#TBTextLeft, TBTextLeft)
    
    CGButtonGadget(#TBTextCenter, 165, 10, 23, 23, "", #Res_TextCenter, $000000, $FFFFFF)
    GadgetToolTip(#TBTextCenter, TBTextCenter)
    
    CGButtonGadget(#TBTextRight, 190, 10, 23, 23, "", #Res_TextRight, $000000, $FFFFFF)
    GadgetToolTip(#TBTextRight, TBTextRight)
    
    CGButtonGadget(#PB_Any, 220, 7, 3, 29, "", #PB_Ignore, $000000, $C0C0C0, $FFFFFF)
    
    CGButtonGadget(#TBNodeAdd, 230, 10, 23, 23, "", #Res_NodeAdd, $000000, $FFFFFF)
    GadgetToolTip(#TBNodeAdd, TBNodeAdd)
    
    CGButtonGadget(#PB_Any, 260, 7, 3, 29, "", #PB_Ignore, $000000, $C0C0C0, $FFFFFF)
    
    ScrollAreaGadget(#Wrapper, 0, 0, 800, 600, 2048, 2048, 10, #PB_ScrollArea_BorderLess)
    CanvasGadget(#Design, 0, 0, 1200, 1200, #PB_Canvas_Keyboard)
    SetGadgetColor(#Wrapper, #PB_Gadget_BackColor, GridBackColor)
    CloseGadgetList() 
    
    If CreatePopupImageMenu(#PopUpMenu)
    
      OpenSubMenu(PMInsertEntity)
        MenuItem(#PMBoxRound, PMBoxRound + Chr(9) + "B")
        MenuItem(#PMBox, PMBox)
        MenuItem(#PMElipse, PMElipse)
        MenuItem(#PMTexte, PMText + Chr(9) + "T")
        MenuItem(#PMDiamond, PMDiamond)
        MenuItem(#PMImage, PMImage + Chr(9) + "I")
        MenuBar()
        MenuItem(#PMTable, PMTable)
      CloseSubMenu()
      
      MenuBar()
      MenuItem(#PMInsNode, PMInsNode + Chr(9) + "Ins", ImageID(#Res_NodeAdd))
      MenuBar()
      MenuItem(#PMCopy, PMCopy + Chr(9) + "Ctrl+C", ImageID(#Res_Copy)) ;Copier
      MenuItem(#PMPaste, PMPaste + Chr(9) + "Ctrl+V", ImageID(#Res_Paste)) ; Coller
      MenuItem(#PMDelete, PMDelete + Chr(9) + "Ctrl+X, Del", ImageID(#Res_Delete)); Supprimer
      MenuBar()
      MenuItem(#PMForward, PMForward) ;Entit en avant plan
      MenuItem(#PMBackward, PMBackward ) ;Entit en arrire plan
      MenuBar()
      MenuItem(#PMToolBarShow, PMToolBarShow + Chr(9) + "F11") ;Afficher la barre d'outils
      
      MenuItem(#PMEntityEdit, PMEntityEdit + Chr(9) + "Ctrl+Enter") ;Editer le texte d'une entit
      
      MenuItem(#PMInspector, PMInspector + Chr(9)+ "F2") ;Inspecteur d'entit
      MenuItem(#PMPreference, PMPreference + Chr(9) + "Ctrl+P") ;Preference
      MenuBar()
      MenuItem(#FileNew, FileNew + Chr(9) +"Ctrl+N", ImageID(#Res_FileNew)) ;Nouveau projet
      MenuItem(#FileOpen, FileOpen + Chr(9) +"Ctrl+O", ImageID(#Res_FileOpen)) ;Ouvrir un projet
      MenuItem(#FileSave, FileSave  + Chr(9) + "Ctrl+S", ImageID(#Res_FileSave)) ;Sauvegarder un projet
      MenuItem(#FileSaveAs, FileSaveAs) ;Sauvegarder un projet sous
      MenuBar()
      MenuItem(#ImageSaveAs, ImageSaveAs, ImageID(#Res_ImageSave)) ;Sauvegarder une image
    EndIf
    
    ;Combinaison de touche qui permet d'initialiser un nouveau projet
    AddKeyboardShortcut(#Mainform, #PB_Shortcut_Control|#PB_Shortcut_N, #Kbd_CtrlN) 
    
    ;Combinaison de touche qui permet d'ouvrir un projet
    AddKeyboardShortcut(#Mainform, #PB_Shortcut_Control|#PB_Shortcut_O, #Kbd_CtrlO) 
    
    ;Combinaison de touche qui permet de sauvegarder un projet
    AddKeyboardShortcut(#Mainform, #PB_Shortcut_Control|#PB_Shortcut_S, #Kbd_CtrlS) 
    
    ;Combinaison de touche qui permet de slectionner toutes les entits (Ctrl+A)
    AddKeyboardShortcut(#Mainform, #PB_Shortcut_Control|#PB_Shortcut_A, #Kbd_CtrlA)
    
    
    ;Combinaison de touche qui permet de mmoriser une entit (Ctrl+C)
    AddKeyboardShortcut(#Mainform, #PB_Shortcut_Control|#PB_Shortcut_C, #Kbd_CtrlC)
    
    ;Combinaison de touche qui permet de coller une entit prcdement copier (Ctrl+V)
    AddKeyboardShortcut(#Mainform, #PB_Shortcut_Control|#PB_Shortcut_V, #Kbd_CtrlV) 

    ;Combinaison de touches qui permet de supprimer une entit (Ctrl+X ou Delete)
    AddKeyboardShortcut(#Mainform, #PB_Shortcut_Control|#PB_Shortcut_X, #Kbd_CtrlX) 
    AddKeyboardShortcut(#Mainform, #PB_Shortcut_Delete, #Kbd_Del) 
    
    ;Combinaison de touches qui permet de relier une entit  une autre (Ctrl+L)
    AddKeyboardShortcut(#Mainform, #PB_Shortcut_Control|#PB_Shortcut_L, #Kbd_CtrlL) 
    
    ;Combinaison de touches qui permet de dfaire une liaison avec  une entit sans dtruite l'entit (Ctrl+U)
    AddKeyboardShortcut(#Mainform, #PB_Shortcut_Control|#PB_Shortcut_U, #Kbd_CtrlU) 
    
    ;Appel de la barre d'outils
    AddKeyboardShortcut(#Mainform, #PB_Shortcut_F11, #Kbd_F11) 
    
    ;Raccourci insertion de certaines entits 
    AddKeyboardShortcut(#Mainform, #PB_Shortcut_B, #Kbd_B) ;Box
    AddKeyboardShortcut(#Mainform, #PB_Shortcut_T, #Kbd_T) ;Texte
    AddKeyboardShortcut(#Mainform, #PB_Shortcut_I, #Kbd_I) ;Image
    
    AddKeyboardShortcut(#Mainform, #PB_Shortcut_F11, #Kbd_F11) 
    AddKeyboardShortcut(#Mainform, #PB_Shortcut_F11, #Kbd_F11) 
    
    ;Appel de l'inspector d'entit
    AddKeyboardShortcut(#Mainform, #PB_Shortcut_F2, #Kbd_F2) 
    AddKeyboardShortcut(#Mainform, #PB_Shortcut_Space, #Kbd_Space) 
    
    AddKeyboardShortcut(#MainForm, #PB_Shortcut_Escape, #Kbd_Escape)
    AddKeyboardShortcut(#MainForm, #PB_Shortcut_Insert, #Kbd_Ins)
    
    ;Ouverture de la fenetre Preference
    AddKeyboardShortcut(#Mainform, #PB_Shortcut_Control|#PB_Shortcut_P, #Kbd_CtrlP) 

    ;Ouverture de la fenetre saisie multiligne
    AddKeyboardShortcut(#Mainform, #PB_Shortcut_Control|#PB_Shortcut_Return, #Kbd_CtrlReturn) 
    
    ;Activation ou desactivation du SnapGrid
    AddKeyboardShortcut(#Mainform, #PB_Shortcut_S, #Kdb_S) 
    
  EndIf
  
  ;La barre d'icone est cache et desactive
  SetGadgetData(#Design, #True) ;On cache la barre d'icone
  MainForm_ToolHBI() ;Desactivation des icone 
  
  SetActiveGadget(#Design) ;Focus de maniere  prendre en compte la molette de la souris
  
  MainForm_Resize()        ;pour les utilisateurs sous MacOs() 
  
  BindEvent(#PB_Event_SizeWindow, @MainForm_Resize())
EndProcedure


;
;Redimensionne la fenetre de l'application
Procedure MainForm_Resize()  
  ResizeGadget(#Wrapper, DesignX, DesignY, WindowWidth(#MainForm), WindowHeight(#MainForm)-DesignY)
  DesignWidth = GadgetWidth(#Wrapper) + GetGadgetAttribute(#Wrapper, #PB_ScrollArea_X) 
  DesignHeight = GadgetHeight(#Wrapper) + GetGadgetAttribute(#Wrapper, #PB_ScrollArea_Y) 
  ResizeGadget(#Design, 0, 0, DesignWidth, DesignHeight)
    
  ;On redessinne l'ensemble des entits
  DesignUpdateContent()  
EndProcedure


;Affichage de la barre d'icone horizontal
Procedure MainForm_ToolHBI()
  Protected Value.b
  
  Value = GetGadgetData(#Design)
  
  If Value = #False
    
    SetGadgetData(#Design, #True)
    SetMenuItemState(#PopUpMenu, #PMToolBarShow, #True)
    DesignY=50
    
  Else
    
    SetGadgetData(#Design, #False)
    SetMenuItemState(#PopUpMenu, #PMToolBarShow, #False)
    DesignY=0  
  EndIf
  
  HideGadget(#TBFileNew, Value)    
  HideGadget(#TBFileOpen, Value)
  HideGadget(#TBFileSave, Value)
  HideGadget(#TBImageSave, Value)
  HideGadget(#TBTextLeft, Value)
  HideGadget(#TBTextCenter, Value)
  HideGadget(#TBTextRight, Value)
  HideGadget(#TBNodeAdd, Value)
    
  ResizeGadget(#Wrapper, DesignX, DesignY, WindowWidth(#MainForm)-DesignX, WindowHeight(#MainForm)-DesignY)

EndProcedure

;
;Prfrence application
;
;Inspecteur d'entit
Procedure Inspector_Open()
  Protected IdGadget.l, Y.i
   
  If InspectorX = -1
    InspectorX = DesktopMouseX()
    InspectorY = DesktopMouseY()
  EndIf
  
  OpenWindow(#EntityForm, InspectorX, InspectorY, 345, 560, EntityForm, #PB_Window_Tool|#PB_Window_SystemMenu, WindowID(#MainForm))
	
	;Dimension et texte de l'entit
	Y=10 
	IdGadget=TextGadget(#PB_Any, 5, Y, 150, GadgetHeight, DSSizeOption)
	SetGadgetFont(IdGadget, FontID(#FontGroupCaption))
	
	Y+GadgetHeight ;Coordonne X de l'entit
	TextGadget(#PB_Any, 30, Y, 150, GadgetHeight, DSX)
	StringGadget(#DSX, 190, Y, GadgetWidth, GadgetHeight, "")  
	
	Y+GadgetTopMarge ;Coordonne Y de l'entit
	TextGadget(#PB_Any, 30, Y, 150, GadgetHeight, DSY)
	StringGadget(#DSY, 190, Y, GadgetWidth, GadgetHeight, "")
	
	Y+GadgetTopMarge ;Largeur de l'entit
	TextGadget(#PB_Any, 30, Y, 150, GadgetHeight, DSW)
	StringGadget(#DSW, 190, Y, GadgetWidth, GadgetHeight, "")
	
	Y+GadgetTopMarge ;Hauteur de l'entit
	TextGadget(#PB_Any, 30, Y, 150, GadgetHeight, DSH)
	StringGadget(#DSH, 190, Y, GadgetWidth, GadgetHeight, "")
	
	Y+GadgetTopMarge ;Text ou image de l'entit + Bouton Saisie multiligne ou appel du slecteur d'image
	TextGadget(#PB_Any, 30, Y, 150, GadgetHeight, DSText)
  StringGadget(#DSText, 190, Y, GadgetWidth, GadgetHeight, "")  
  
  CGButtonGadget(#DSTextEx, 315, Y, GadgetHeight, GadgetHeight,"...", #PB_Ignore, RGB(0, 0, 0), RGB(255, 250, 205))
  GadgetToolTip(#DSTextEx, DSTextEx)
  
  
  ;Style de l'entit
  Y+GadgetTopMarge
 	IdGadget=TextGadget(#PB_Any, 5, Y, 150, GadgetHeight, DSStyleOption)
	SetGadgetFont(IdGadget, FontID(#FontGroupCaption))

  Y+GadgetHeight ;Model de l'entit
 	TextGadget(#PB_Any, 30, Y, 150, GadgetHeight, DSModel)
	ComboBoxGadget(#DSModel, 190, Y, GadgetWidth, GadgetHeight)  

  Y+GadgetTopMarge ;Justification du texte
	TextGadget(#PB_Any, 30, Y, 150, GadgetHeight, DSJustify)
	ComboBoxGadget(#DSJustify, 190, Y, GadgetWidth, GadgetHeight)
	AddGadgetItem(#DSJustify, -1, AlignLeft)
	AddGadgetItem(#DSJustify, -1, AlignRight)
	AddGadgetItem(#DSJustify, -1, AlignCenter)
	;AddGadgetItem(#DSJustify, -1, AlignLeftRight) 
	SetGadgetState(#DSJustify, 0)
	
	Y+GadgetTopMarge ;Marge haut, bas, gauche, droit de  l'entit
	TextGadget(#PB_Any, 30, Y, 150, GadgetHeight, DSPadding)
	StringGadget(#DSPadding, 190, Y, GadgetWidth, GadgetHeight, "5")
	
  ;Selecteur de couleur de texte
  Y+GadgetTopMarge ;Couleur de texte
	TextGadget(#PB_Any, 30, Y, 150, GadgetHeight, DSTextColor)
  TextGadget(#DSTextColor, 190, Y, GadgetWidth, GadgetHeight, "", #PB_Text_Border) 
  
  CGButtonGadget(#DSSelCol1, 315, Y, GadgetHeight, GadgetHeight,"?", #PB_Ignore, RGB(0, 0, 0),RGB(255, 250, 205))
  GadgetToolTip(#DSSelCol1, MColorSelector)
  
  ;Selecteur de couleur d'arriere plan
  Y+GadgetTopMarge 
	TextGadget(#PB_Any, 30, Y, 150, GadgetHeight, DSBackColor)
  TextGadget(#DSBackColor, 190, Y, GadgetWidth, GadgetHeight, "", #PB_Text_Border)  
  
  CGButtonGadget(#DSSelCol2, 315, Y, GadgetHeight, GadgetHeight,"?", #PB_Ignore, RGB(0, 0, 0),RGB(255, 250, 205))
  GadgetToolTip(#DSSelCol2, MColorSelector)
  
  ;Selecteur de couleur d'arriere plan 
  Y+GadgetTopMarge 
	TextGadget(#PB_Any, 30, Y, 150, GadgetHeight, DSBorderColor)
  TextGadget(#DSBorderColor, 190, Y, GadgetWidth, GadgetHeight, "", #PB_Text_Border)  
  
  CGButtonGadget(#DSSelCol3, 315, Y, GadgetHeight, GadgetHeight,"?", #PB_Ignore, RGB(0, 0, 0),RGB(255, 250, 205))
  GadgetToolTip(#DSSelCol3, MColorSelector)  
  
  ;Police de caractre
  Y+GadgetTopMarge 
	TextGadget(#PB_Any, 30, Y, 150, GadgetHeight, DSFont)
  TextGadget(#DSFont, 190, Y, GadgetWidth, GadgetHeight, "", #PB_Text_Border)  
  
  CGButtonGadget(#DSSelFont, 315, Y, GadgetHeight, GadgetHeight,"?", #PB_Ignore, RGB(0, 0, 0), RGB(255, 250, 205))
  GadgetToolTip(#DSSelFont, MFontSelector) 
  
  
  ;Relation entit (Id Entit, Id Parent, Id Linkparent
  Y+GadgetTopMarge 
  IdGadget=TextGadget(#PB_Any, 5, Y, 150, GadgetHeight, DSEntityOption)
	SetGadgetFont(IdGadget, FontID(#FontGroupCaption))

  Y+GadgetHeight ;Identification de l'entit
 	TextGadget(#PB_Any, 30, Y, 150, GadgetHeight, DSENTITY)
  TextGadget(#DSENTITY, 190, Y, GadgetWidth, GadgetHeight, "", #PB_Text_Border)
  SetGadgetColor(#DSENTITY, #PB_Gadget_BackColor, RGB(255, 255, 255)) 
  
  Y+GadgetTopMarge ;Type de relation
	TextGadget(#PB_Any, 30, Y, 150, GadgetHeight, DSNodeRelation)
	ComboBoxGadget(#DSNodeRelation, 190, Y, GadgetWidth, 20)
	AddGadgetItem(#DSNodeRelation, -1, ParentToSon)
	AddGadgetItem(#DSNodeRelation, -1, SonToParent)
  
  Y+GadgetTopMarge ;Parent de l'entit
	TextGadget(#PB_Any, 30, Y, 150, GadgetHeight, DSLinkParent)
	TextGadget(#DSLinkParent, 190, Y, GadgetWidth, 20, "", #PB_Text_Border)  
	SetGadgetColor(#DSLinkParent, #PB_Gadget_BackColor, RGB(255, 255, 255)) 
	
  Y+GadgetTopMarge ;Node Parent de l'entit
	TextGadget(#PB_Any, 30, Y, 150, GadgetHeight, DSNodeParent)
	TextGadget(#DSNodeParent, 190, Y, GadgetWidth, 20, "", #PB_Text_Border)  
	SetGadgetColor(#DSNodeParent, #PB_Gadget_BackColor, RGB(255, 255, 255)) 
	
  
  AddKeyboardShortcut(#EntityForm, #PB_Shortcut_Return, #Kbd_Return)
  AddKeyboardShortcut(#EntityForm, #PB_Shortcut_Escape, #Kbd_Escape)
  
  ;Quelques exemples d'entits
  AddGadgetItem(#DSModel, -1, PMBoxRound)
  AddGadgetItem(#DSModel, -1, PMBox)
  AddGadgetItem(#DSModel, -1, PMElipse)
  AddGadgetItem(#DSModel, -1, PMText)
  AddGadgetItem(#DSModel, -1, PMDiamond)
  AddGadgetItem(#DSModel, -1, PMImage)
  AddGadgetItem(#DSModel, -1, PMTable)

  
  ;Si une entit est selectionne alors mise  jour de l'inspecteur
  If *InspectEntity
    Inspector_Update()
  Else
    Inspector_Clear()
  EndIf
    
  SetActiveGadget(#DSX)
EndProcedure


;
;Mise  jour de l'inspector
;TypeUpdate = 0 Toutes les valeurs 
;TypeUpdate = 1 Coordonnes et tailles uniquement
Procedure Inspector_Update(Action.b=0) 
  Protected Value.b
  
  If IsWindow(#EntityForm)
    With *InspectEntity      
      SetGadgetText(#DSX, Str(\Left))
      SetGadgetText(#DSY, Str(\Top))  	 
      SetGadgetText(#DSW, Str(\Width))
      SetGadgetText(#DSH, Str(\Height)) 
      
      If Action = 0
        SetGadgetText(#DSText, \Text)   
        SetGadgetState(#DSJustify, \Justify)   
        SetGadgetText(#DSPadding, Str(\Padding))
      
        SetGadgetText(#DSENTITY, Str(\Entity))
        SetGadgetState(#DSModel, \Model - 1)
      
        SetGadgetText(#DSTextColor, "RGB("+Str(Red(\TextColor))+Chr(44)+Str(Green(\TextColor))+Chr(44)+Str(Blue(\TextColor))+")")
        SetGadgetData(#DSTextColor, \TextColor)
        SetGadgetColor(#DSTextColor, #PB_Gadget_BackColor, \TextColor)
        SetGadgetColor(#DSTextColor, #PB_Gadget_FrontColor, RGB(255, 255, 255))
      
        SetGadgetText(#DSBackColor, "RGB("+Str(Red(\BackGroundColor))+Chr(44)+Str(Green(\BackGroundColor))+Chr(44)+Str(Blue(\BackGroundColor))+")")
        SetGadgetData(#DSBackColor, \BackGroundColor)
        SetGadgetColor(#DSBackColor, #PB_Gadget_BackColor, \BackGroundColor)
        
        SetGadgetText(#DSBorderColor, "RGB("+Str(Red(\BorderColor))+Chr(44)+Str(Green(\BorderColor))+Chr(44)+Str(Blue(\BorderColor))+")")
        SetGadgetData(#DSBorderColor, \BorderColor)
        SetGadgetColor(#DSBorderColor, #PB_Gadget_BackColor, \BorderColor)
      
        SetGadgetText(#DSfont, \FontName + " " + Str(\FontSize))
      
        SetGadgetText(#DSLinkParent, Str(\LastParent))  
        SetGadgetState(#DSNodeRelation, \LinkRelation)
        SetGadgetText(#DSNodeParent, Str(\LinkParent))
      EndIf
      
      ;Peut t'on redimentionner l'entit actif
      ;If \Model = 8
      ;  DisableGadget(#DSW, #True)
      ;  DisableGadget(#DSH, #True)
      ;Else
      ;  DisableGadget(#DSW, #False)
      ;  DisableGadget(#DSH, #False) 
      ;EndIf
          
    EndWith    
  EndIf
EndProcedure


;
;Clear de l'inspecteur d'entit
Procedure Inspector_Clear(Value.b=#True)
  If IsWindow(#EntityForm)
   
	  SetGadgetText(#DSX, "")  
	  SetGadgetText(#DSY, "")
	  SetGadgetText(#DSW, "")
	  SetGadgetText(#DSH, "")
	  SetGadgetText(#DSText, "")   
	  
	  SetGadgetState(#DSModel, -1) 
	  SetGadgetState(#DSJustify, -1)
	  SetGadgetText(#DSPadding, "")   
	  
	  SetGadgetText(#DSFont, "")   
	  SetGadgetText(#DSTextColor, "")   
	  SetGadgetText(#DSBackColor, "")   
	  
	  SetGadgetText(#DSENTITY, "")	  
	  SetGadgetText(#DSLinkParent, "")  
	  SetGadgetText(#DSNodeParent, "")
	  SetGadgetState(#DSNodeRelation, -1) 
    
 	  DisableGadget(#DSX, Value)  
	  DisableGadget(#DSY, Value)
	  DisableGadget(#DSW, Value )
	  DisableGadget(#DSH, Value)
	  DisableGadget(#DSText, Value)
	  DisableGadget(#DSTextEx, Value)
	  
	  DisableGadget(#DSModel, Value)  
	  DisableGadget(#DSJustify, Value)
	  DisableGadget(#DSPadding, Value)
	  DisableGadget(#DSFont, Value)
	  DisableGadget(#DSSelCol1, Value)
	  DisableGadget(#DSSelCol2, Value)
	  DisableGadget(#DSSelFont, Value)
	  DisableGadget(#DSNodeRelation, Value)
	  
    ;DisableGadget(#DSLinkParent, Value)  
  EndIf 
EndProcedure


;
;Prference Project
Procedure Preference_Open()
  Protected IdGadget.l, Y.i
     
  OpenWindow(#PreferenceForm, 0, 0, 345, 570, PReferenceForm, #PB_Window_Tool|#PB_Window_SystemMenu|#PB_Window_ScreenCentered, WindowID(#MainForm))
  	
	Y=10
  
	;Selecteur de couleur du grid
	IdGadget=TextGadget(#PB_Any, 5, Y, 150, GadgetHeight, PRGridOption)
	SetGadgetFont(IdGadget, FontID(#FontGroupCaption))
	
	Y+GadgetHeight
	TextGadget(#PB_Any, 30, Y, 150, GadgetHeight, PRGridBackColor)
	TextGadget(#PRGridBackColor, 190, Y, GadgetWidth, GadgetHeight, "", #PB_Text_Border)  
	SetGadgetColor(#PRGridBackColor, #PB_Gadget_BackColor, RGB(255, 255, 255))  
  
  CGButtonGadget(#PRSelCol1, 315, Y, GadgetHeight, GadgetHeight,"?", #PB_Ignore, RGB(0, 0, 0), RGB(255, 250, 205))
  GadgetToolTip(#PRSelCol1, MColorSelector)
  
  ;Espace entre deux points sur le grid
  Y+GadgetTopMarge
	TextGadget(#PB_Any, 30, Y, 1150, GadgetHeight, PRSnapSize)
	SpinGadget(#PRSnapSize, 190, Y, GadgetWidth, GadgetHeight, 0, 100, #PB_Spin_ReadOnly|#PB_Spin_Numeric )  
	
	;Align l'entit sur le grid (SnapToGrid)
  Y+GadgetTopMarge
	TextGadget(#PB_Any, 30, Y, 150, GadgetHeight, PRSnapToGrid)
	ComboBoxGadget(#PRSnapToGrid, 190, Y, GadgetWidth, GadgetHeight)
	AddGadgetItem(#PRSnapToGrid, -1, MNo)
	AddGadgetItem(#PRSnapToGrid, -1, MYes)
	
	;Afficher le grid ou pas 
  Y+GadgetTopMarge
	TextGadget(#PB_Any, 30, Y, 150, GadgetHeight, PRShowGrid)
	ComboBoxGadget(#PRShowGrid, 190, Y, GadgetWidth, GadgetHeight)
	AddGadgetItem(#PRShowGrid, -1, Mno)
	AddGadgetItem(#PRShowGrid, -1, MYes)
	
  ;Police de caractre
  Y+GadgetTopMarge + 15
  IdGadget=TextGadget(#PB_Any, 5, Y, 150, GadgetHeight, PREntityOption)
  SetGadgetFont(IdGadget, FontID(#FontGroupCaption))
  
  Y+GadgetHeight
	TextGadget(#PB_Any, 30, Y, 150, GadgetHeight, PRFont)
  TextGadget(#PRFont, 190, Y, GadgetWidth, GadgetHeight, "", #PB_Text_Border)  
  SetGadgetColor(#PRFont, #PB_Gadget_BackColor, RGB(255, 255, 255))
  CGButtonGadget(#PRSelFont, 315, Y, GadgetHeight, GadgetHeight,"?", #PB_Ignore, RGB(0, 0, 0), RGB(255, 250, 205))
  GadgetToolTip(#PRSelFont, MFontSelector)
  
  ;Largeur d'une entit par defaut
  Y+GadgetTopMarge
	TextGadget(#PB_Any, 30, Y, 150, GadgetHeight, PREntityWidth)
	StringGadget(#PREntityWidth, 190, Y, GadgetWidth, GadgetHeight, "", #PB_String_Numeric)  
	
	;hauteur d'une entit par defaut
  Y+GadgetTopMarge
	TextGadget(#PB_Any, 30, Y, 150, GadgetHeight, PREntityHeight)
	StringGadget(#PREntityHeight, 190, Y, GadgetWidth, GadgetHeight, "", #PB_String_Numeric)  
	
	;Node Default Option
	Y+GadgetTopMarge + 15
	IdGadget=TextGadget(#PB_Any, 5, Y, 150, GadgetHeight, PRNodeOption)
	SetGadgetFont(IdGadget, FontID(#FontGroupCaption))
	
	;Largeur de l'amorce
  Y+GadgetTopMarge
	TextGadget(#PB_Any, 30, Y, 1150, GadgetHeight, PRNodeClipsize)
	SpinGadget(#PRNodeClipsize, 190, Y, GadgetWidth, GadgetHeight, 0, 100, #PB_Spin_ReadOnly|#PB_Spin_Numeric )	
	
	;Largeur d'un point d'ancrage - Anchor Size
  Y+GadgetTopMarge
	TextGadget(#PB_Any, 30, Y, 1150, GadgetHeight, PRNodeAnchorSize)
	SpinGadget(#PRNodeAnchorSize, 190, Y, GadgetWidth, GadgetHeight, 0, 100, #PB_Spin_ReadOnly|#PB_Spin_Numeric )
	
  ;Taille des fleches - Arrow Width
  Y+GadgetTopMarge
	TextGadget(#PB_Any, 30, Y, 1150, GadgetHeight, PRNodeARrowWidth)
	SpinGadget(#PRNodeARrowWidth, 190, Y, GadgetWidth, GadgetHeight, 0, 100, #PB_Spin_ReadOnly|#PB_Spin_Numeric )	
	
  ;Taille des fleches - Arrow Height
  Y+GadgetTopMarge
	TextGadget(#PB_Any, 30, Y, 1150, GadgetHeight, PRNodeARrowHeight)
	SpinGadget(#PRNodeARrowHeight, 190, Y, GadgetWidth, GadgetHeight, 0, 100, #PB_Spin_ReadOnly|#PB_Spin_Numeric )	
	
	;Node :Selecteur de couleur des lignes 
	Y+GadgetTopMarge
	TextGadget(#PB_Any, 30, Y, 150, GadgetHeight, PRNodeColor)
	TextGadget(#PRNodeColor, 190, Y, GadgetWidth, GadgetHeight, "", #PB_Text_Border)
	SetGadgetColor(#PRNodeColor, #PB_Gadget_BackColor, RGB(255, 255, 255)) 
	
	CGButtonGadget(#PRSelCol2, 315, Y, GadgetHeight, GadgetHeight,"?", #PB_Ignore, RGB(0, 0, 0), RGB(255, 250, 205))
  GadgetToolTip(#PRSelCol2, MColorSelector)
	
	;Node : Selecteur de couleur des points d'ancrage
	Y+GadgetTopMarge
	TextGadget(#PB_Any, 30, Y, 150, GadgetHeight, PRNodeAnchorColor)
	TextGadget(#PRNodeAnchorColor, 190, Y, GadgetWidth, GadgetHeight, "", #PB_Text_Border|#PB_Text_Center)  
  
  CGButtonGadget(#PRSelCol3, 315, Y, GadgetHeight, GadgetHeight,"?", #PB_Ignore, RGB(0, 0, 0), RGB(255, 250, 205))
  GadgetToolTip(#PRSelCol3, MColorSelector)
  
	;Node : Selecteur couleur des fleches
	Y+GadgetTopMarge
	TextGadget(#PB_Any, 30, Y, 150, GadgetHeight, PRNodeTriangleColor)
  TextGadget(#PRNodeTriangleColor, 190, Y, GadgetWidth, GadgetHeight, "", #PB_Text_Border)  
  
  CGButtonGadget(#PRSelCol4, 315, Y, GadgetHeight, GadgetHeight,"?", #PB_Ignore, RGB(0, 0, 0), RGB(255, 250, 205))  
  GadgetToolTip(#PRSelCol4, MColorSelector)
  
  ;Choix d'une langue
	Y+GadgetTopMarge
	TextGadget(#PB_Any, 30, Y, 150, GadgetHeight, PRLanguage)
  ComboBoxGadget(#PRLanguage, 190, Y, GadgetWidth, GadgetHeight)
  
  ;Racourcis de la fenetre
  AddKeyboardShortcut(#PreferenceForm, #PB_Shortcut_Return, #Kbd_Return)
  AddKeyboardShortcut(#PreferenceForm, #PB_Shortcut_Escape, #Kbd_Escape)
  
  Preference_Update()
  SetActiveGadget(#PREntityWidth)
EndProcedure

;
;Mise  jour de l'inspector
Procedure Preference_Update()
  Protected Buffer.s, N.i, P.i
  
  If IsWindow(#PreferenceForm)      
    SetGadgetText(#PRGridBackColor, "RGB("+Str(Red(GridBackColor))+Chr(44)+Str(Green(GridBackColor))+Chr(44)+Str(Blue(GridBackColor))+")")
    SetGadgetData(#PRGridBackColor, GridBackColor)
    SetGadgetColor(#PRGridBackColor, #PB_Gadget_BackColor, GridBackColor)
     
    SetGadgetState(#PRSnapSize, SnapX)
    SetGadgetState(#PRSnapToGrid, SnapToGrid)
    SetGadgetState(#PRShowGrid, ShowGrid)
    SetGadgetText(#PRFont, FontName + " " + Str(FontSize))
     
    SetGadgetText(#PREntityWidth, Str(DefaultWidth))
    SetGadgetText(#PREntityHeight, Str(DefaultHeight))
     
    SetGadgetState(#PRNodeClipsize, NodeClipSize)
    SetGadgetState(#PRNodeAnchorSize, NodeAnchorSize)
    SetGadgetState(#PRNodeArrowWidth, NodeArrowWidth)
    SetGadgetState(#PRNodeARrowHeight, NodeArrowHeight)
     
    SetGadgetText(#PRNodeColor, "RGB("+Str(Red(NodeConnectionColor))+Chr(44)+Str(Green(NodeConnectionColor))+Chr(44)+Str(Blue(NodeConnectionColor))+")")
    SetGadgetData(#PRSelCol2, NodeConnectionColor)
    SetGadgetColor(#PRNodeColor, #PB_Gadget_BackColor, NodeConnectionColor)
     
    SetGadgetText(#PRNodeAnchorColor, "RGB("+Str(Red(NodeAnchorColor))+Chr(44)+Str(Green(NodeAnchorColor))+Chr(44)+Str(Blue(NodeAnchorColor))+")")          
    SetGadgetData(#PRSelCol3, NodeAnchorColor)
    SetGadgetColor(#PRNodeAnchorColor, #PB_Gadget_BackColor, NodeAnchorColor)
     
    SetGadgetText(#PRNodeTriangleColor, "RGB("+Str(Red(NodeArrowColor))+Chr(44)+Str(Green(NodeArrowColor))+Chr(44)+Str(Blue(NodeArrowColor))+")")          
    SetGadgetData(#PRSelCol3, NodeArrowColor)
    SetGadgetColor(#PRNodeTriangleColor, #PB_Gadget_BackColor, NodeArrowColor)
     
    ;Lecture des fichiers de langage. (Dossier : lang)
    If ExamineDirectory(#DirLang, "lang", "*.*")
      While NextDirectoryEntry(#DirLang)
        If DirectoryEntryType(#DirLang) = #PB_DirectoryEntry_File
          Buffer = StringField(DirectoryEntryName(#DirLang), 1, ".")
          If Buffer = Language
            ;Mmorisation de la langue  slectionner dans le combo  la fin de la lecture des fichiers de langue
            P=N 
          EndIf
          AddGadgetItem(#PRLanguage, -1, Buffer)
          N+1 ;Mmorisation derniere position dans la liste des langues
        EndIf
      Wend
      FinishDirectory(#DirLang)  
    EndIf
     
    If CountGadgetItems(#PRLanguage)=0
      AddGadgetItem(#PRLanguage, -1, "Pas de fichier de langue")
      SetGadgetState(#PRLanguage, 0)
    Else
      SetGadgetState(#PRLanguage, P)
    EndIf
   
   EndIf
EndProcedure


;
;Ajout d'une entit
Procedure Entity_Add(Model.i)
  Protected Dim ParentEntity(100), N.i
  Entity_Select(#False)
  AddElement(Entity())
  
  Entity()\Entity =  ListSize(Entity())
  Entity()\Actif = #True
  Entity()\Current = #True
  Entity()\Frame = #False
  Entity()\Model = Model
	Entity()\Left = MouseX
	Entity()\Top = MouseY
	Entity()\Width = DefaultWidth
	Entity()\Height = DefaultHeight
  Entity()\Text = "New Entity " + Str(ListSize(Entity()))
	Entity()\Justify = 2
	Entity()\padding = DefaultPadding
	Entity()\Round = 4
	Entity()\BorderColor = RGB(0, 0, 0)
	Entity()\TextColor = DefaultColor
	Entity()\BackGroundColor = DefaultBackColor	
	Entity()\Font=LoadFont(#PB_Any, FontName, FontSize, FontStyle)  
	Entity()\FontName=FontName
	Entity()\FontSize=Fontsize
	Entity()\FontStyle=FontStyle
	Entity()\LinkRelation = 0
	
	If Model = 7
	  Entity()\Text = "Col1;Col2;Col3"
	EndIf
	
	;Cas de la case  cocher
	If Model = 8
	  Entity()\Text = ""
	  Entity()\Width = 15
	  Entity()\Height = 15
	  Entity()\BorderColor = RGB(0, 0, 0)
	  entity()\TextColor = RGB(255, 0, 0)
	EndIf
	
	
	;Qui est ou sont les parents direct et indirects de l'entit en cours de cration
	;Le rsultat est rcupr dans un tableau : ParentEntity()
	;If Entity()\Link<>#True
	GetEntityLink(Entity()\Entity, ParentEntity())
	
	;Copie du tableau dans la structure
	;ParentEntity(0) contient le nombres de parents 
	For N=0 To ParentEntity(0)
    Entity()\Parents[n]=ParentEntity(N)
  Next
  
  ;Rcupration du parent direct
  Entity()\LastParent=ParentEntity(ParentEntity(0))
  
  SaveFile=#True ;Une sauvegarde sera  faire

EndProcedure

;
;Ajout d'une image
; Action = 0 Cration
; Action = 1 Modification
Procedure Entity_AddImage(Action.b=0)
  Protected Filter$="JPG (*.jpg)|*.jpg|PNG (*.png)|*.png"
  Protected Image
  Protected *Inputbuffer
  Protected *OutputBuffer

  ImageFile=OpenFileRequester(Mimagefileopen, "",Filter$, 1) 
  
  If ImageFile
    If ReadFile(0, ImageFile)
      *inputbuffer = AllocateMemory(Lof(0))
      If *inputbuffer
        ReadData(0,*inputbuffer, Lof(0))
        *OutputBuffer=AllocateMemory(MemorySize(*InputBuffer) * 1.35)
        Base64Encoder(*InputBuffer, MemorySize(*InputBuffer), *OutputBuffer, MemorySize(*OutputBuffer)) 
      EndIf
      CloseFile(0)
    EndIf

    If *OutputBuffer
      
      ;Cration de l'image
      CatchImage(Image, *inputbuffer)
      
      If Action = 0
        ;Cration
        Entity_Add(6)
        *InspectEntity=@Entity()
      
        *InspectEntity\Image = PeekS(*OutputBuffer)
        *InspectEntity\Width = ImageWidth(Image)
        *InspectEntity\Height = ImageHeight(Image)
        *InspectEntity\Text = ImageFile
        
      Else
        
        ;On remplace l'image par une autre
        *InspectEntity\Image = PeekS(*OutputBuffer)
        *InspectEntity\Text = ImageFile        
      EndIf
      
      ;Mise  jour du design
      DesignUpdateContent()
      Inspector_Update()
    EndIf
  EndIf
EndProcedure


;
;Editeur multiligne
Procedure EntityEdit_Open()
  Protected X.i, Y.i
  X=DesktopMouseX()
  Y=DesktopMouseY()
  
  OpenWindow(#EntityEditForm, X, Y, 360, 160, EntityEditForm, #PB_Window_Tool|#PB_Window_SystemMenu, WindowID(#MainForm))
  EditorGadget(#EntityEdit, 10, 10, 340, 100)
 
  ButtonGadget(#EditOk, 10, 120, 80, GadgetHeight, EditOk)
  ButtonGadget(#EditCancel, 100, 120, 80, GadgetHeight, EditCancel)
  
  SetActiveGadget(#EntityEdit)
EndProcedure

;
;Mise  jour de l'diteur multiligne d'une entit 
Procedure EntityEdit_UPdate()
  If IsWindow(#EntityEditForm)
    entityedit_Clear(#False)
    SetGadgetText(#EntityEdit, *InspectEntity\Text)
  EndIf
EndProcedure

;
;Clear de l'fiteur d'entit multiligne
Procedure EntityEdit_Clear(Value.b=#True)
  If IsWindow(#EntityEditForm)
    SetGadgetText(#EntityEdit, "")
    
    DisableGadget(#EntityEdit, Value)  
	  DisableGadget(#EditOk, Value)  
	  DisableGadget(#EditCancel, Value)
  EndIf 
EndProcedure

;
;Mmorisation d'une entit
Procedure Entity_Copy()
  MemoryEntity\Actif= #True
  MemoryEntity\Model = *InspectEntity\Model
  MemoryEntity\Width = *InspectEntity\Width
  MemoryEntity\Height = *InspectEntity\Height
  MemoryEntity\Round = *InspectEntity\Round
  MemoryEntity\BackGroundColor = *InspectEntity\BackGroundColor
  MemoryEntity\BorderColor = *InspectEntity\BorderColor
  MemoryEntity\TextColor = *InspectEntity\TextColor
  MemoryEntity\Text = *InspectEntity\Text 
  MemoryEntity\Justify = *InspectEntity\Justify
  MemoryEntity\padding = *InspectEntity\padding
  MemoryEntity\Font = *InspectEntity\Font
  MemoryEntity\FontName = *InspectEntity\FontName
  MemoryEntity\FontStyle = *InspectEntity\FontStyle
  MemoryEntity\LinkParent = *InspectEntity\LinkParent
  MemoryEntity\Image = *InspectEntity\Image
EndProcedure


;
;Dupliquer une entit prcdement copie
Procedure Entity_Paste()
  
  Entity()\Actif= #True
  Entity()\Model = MemoryEntity\Model
  Entity()\Width = MemoryEntity\Width
  Entity()\Height = MemoryEntity\Height
  Entity()\Round = MemoryEntity\Round
  Entity()\BackGroundColor = MemoryEntity\BackGroundColor
  Entity()\BorderColor = MemoryEntity\BorderColor
  Entity()\TextColor = MemoryEntity\TextColor
  Entity()\Text = MemoryEntity\Text
  Entity()\Justify = MemoryEntity\Justify
  Entity()\padding = MemoryEntity\padding  
  Entity()\Font = MemoryEntity\font
  Entity()\FontName = MemoryEntity\FontName
  Entity()\FontStyle = MemoryEntity\FontStyle
  Entity()\LinkParent = MemoryEntity\LinkParent
  Entity()\Image = MemoryEntity\Image
EndProcedure


;
;Supprimer une entit 
;Il n'y a pas grand chose dans cette procdure. Usage ultrieur.
Procedure Entity_Delete()
  *InspectEntity\Actif=#False
  ForEach entity()
    If Entity()\LinkParent = *InspectEntity\Entity
      ;Entity()\Link = #False
      Entity()\LinkParent = 0
    EndIf
  Next
  *InspectEntity=#False
EndProcedure

;
;Slectionner ou dselectionner des entits
Procedure Entity_Select(Value)
  ForEach Entity()
    Entity()\Frame = Value
  Next
EndProcedure


;
;Une entit est elle imbrique  une ou plusieurs autre(s)
;
Procedure GetEntityLink(CurrentEntity, Array ParentEntity(1))
  Protected  N.i ;Niveau d'imbrication
  ForEach Entity()
    If (Entity()\Entity <> CurrentEntity)
	    If MouseX >= Entity()\Left And MouseX <= Entity()\Left + Entity()\Width
	      If MouseY >= Entity()\Top And MouseY <= Entity()\Top + Entity()\Height
	        N+1
	        ParentEntity(N)=Entity()\Entity
	      EndIf    
	    EndIf    
	  EndIf    
	Next  
	
	ParentEntity(0)=N
	
EndProcedure

;
;Insertion d'un noeud comme fils de la selection
Procedure Node_Insert()
  Entity_Add(1) 
  
  Entity()\Left = *InspectEntity\Left + *InspectEntity\Width + 20 + NodeClipSize
  Entity()\Top = *InspectEntity\Top + *InspectEntity\Height + 10 + NodeClipSize*2
            
  Entity()\LinkParent = *InspectEntity\Entity
            
  ;L'entit active ne l'est plus
  *InspectEntity\Current = #False

EndProcedure


;
;Mise  jour du Design
; Affichage du Grid
; Dessin de chaque entit
; 
; - Remarque : A chaque resize de la fenetre, tous les lments sont re-dessins
; 
; - Parametre Output 
;   #False c'est une sortie ecran (canvas) 
;   #True C'est une sortie image. Valable pour la sauvegarde d'une image
Procedure DesignUpdateContent(Output.b=#False) 
  Protected X.i, Y.i, X1.i, Y1.i, TextFontName.l, N.i, LinkRelationShip.i
  Protected ItemHeight.i, J.i, K.i, L.i, Text.s, Buffer.s ;Pour impression d'une table
  
  Protected *InputBuffer, ImageEncode.s, Image.i 
  
  Protected MoveX.i, MoveY.i, MoveX1.i, MoveY1.i, ArrowTo.i
  
  ;-Quel est la sortie Canvas ou Image ?
  If Output=#True
    CreateImage(#Image, GadgetWidth(#Design), GadgetHeight(#Design))
    StartDrawing(ImageOutput(#Image))
  Else
    StartDrawing(CanvasOutput(#Design))
  EndIf

  DrawingFont(FontID(#FontGridDefault))
  
  ;Arriere plan
  Box(0, 0, DesignWidth, DesignHeight, GridBackColor)
  
  ;En cas de sortie sur une image, on ne dessine pas le grid 
  If Output = #False And ShowGrid=#True
    ;Dessine le SnapGrid
    If SnapX<>0 And SnapY<>0
      For X = 0 To (DesignWidth/SnapX)-1
        LineXY(X*SnapX, 0, X*SnapX, DesignHeight, RGB(212, 252, 223))
      Next  
      For Y = 0 To (DesignHeight/SnapY)-1
        LineXY(0, Y*SnapY, DesignWidth, Y*SnapY, RGB(212, 252, 223))
      Next      
    EndIf
  EndIf 
    
  ;Dessine chaque entity
  ForEach Entity()
    With Entity()
      
      ;On ne redessine pas les entites effacs (\Actif = #False)
      If \Actif = #True        
        ;Dessin du cadre de slection
        ;En cas de sortie image il est inutile de le dessiner
        If Output = #False
          If \Current = #True Or \Frame = #True 
            DrawingMode(#PB_2DDrawing_Outlined)
            Box(\Left-1, \Top-1, \width+2, \Height+2, SelectBorderColor)
          EndIf
        EndIf
      
        ;-Quel model doit t'on dssiner ?
        Select \Model
          Case 1 ;RoundBox
            DrawingMode(#PB_2DDrawing_Outlined) ;Bordure
            RoundBox(\Left, \Top, \width, \Height, \Round, \Round, \BorderColor)
            
            DrawingMode(#PB_2DDrawing_Default) ;Backgound
            RoundBox(\left+1, \Top+1, \Width-2, \Height-2, \Round, \Round, \BackGroundColor)
        
            ;Dessin du texte si la suface de l'entit est suffisante
            DrawingFont(FontID(\font))
            DrawingMode(#PB_2DDrawing_Transparent)
            DrawFormatText(\Left, \Top, \Width, \Height, \Text, \TextColor, \Justify, \Padding)
            
          Case 2 ;Box
            DrawingMode(#PB_2DDrawing_Outlined) ;Bordure
            Box(\Left, \Top, \width, \Height, \BorderColor)
            
            DrawingMode(#PB_2DDrawing_Default) ;Backgound
            Box(\left+1, \Top+1, \Width-2, \Height-2, \BackGroundColor)
        
            ;Dessin du texte si la suface de l'entit est suffisante
            DrawingFont(FontID(\font))
            DrawingMode(#PB_2DDrawing_Transparent)
            DrawFormatText(\Left, \Top, \Width, \Height, \Text, \TextColor, \Justify, \Padding)
            
          Case 3 ;Ellipse
            DrawingMode(#PB_2DDrawing_Outlined) ;Bordure
            Ellipse(\Left + \width/2, \Top + \Height/2, \Width/2, \Height/2, \BorderColor)
            
            DrawingMode(#PB_2DDrawing_Default) ;Backgound
            Ellipse(\Left + \width/2, \Top + \Height/2, (\Width/2)-2, (\Height/2)-2, \BackGroundColor)
            
            ;Dessin du texte si la suface de l'entit est suffisante
            DrawingFont(FontID(\font))
            DrawingMode(#PB_2DDrawing_Transparent)
            DrawFormatText(\Left, \Top, \Width, \Height, \Text, \TextColor, \Justify, \Padding)            
            
          Case 4 ;texte
            ;Dessin du texte si la suface de l'entit est suffisante
            DrawingFont(FontID(\font))
            DrawingMode(#PB_2DDrawing_Transparent)
            DrawFormatText(\Left, \Top, \Width, \Height, \Text, \TextColor, \Justify, \Padding)
            
          Case 5 ;Losange
            DrawingMode(#PB_2DDrawing_Outlined) ;Bordure
            ;Milieu haut -> Milieu Droit 
            X = \Left + \Width/2 : Y = \Top
            X1 = \Left + \width : Y1 = \Top + \Height/2
            LineXY(X, Y, X1, Y1, \BorderColor)
            
            ;Milieu Droit -> Milieu bas
            X = \Left + \width : Y = \Top + \Height/2
            X1 = \Left + \width/2 : Y1 = \Top + \Height
            LineXY(X, Y, X1, Y1, \BorderColor)
            
            ;Milieu Bas -> Milieu Gauche
            X = \Left + \width/2 : Y = \Top + \Height
            X1 = \Left : Y1 = \Top + \Height/2
            LineXY(X, Y, X1, Y1, \BorderColor)
            
            ;Milieu Gauche -> Milieu haut
            X = \Left : Y = \Top + \Height/2
            X1 = \Left + \Width/2 : Y1 = \Top
            LineXY(X, Y, X1, Y1, \BorderColor)
            
            DrawingMode(#PB_2DDrawing_Default) ;Backgound
            FillArea(X1, Y1+10, \BorderColor, \BackGroundColor)
        
            ;Dessin du texte si la suface de l'entit est suffisante
            DrawingFont(FontID(\font))
            DrawingMode(#PB_2DDrawing_Transparent)
            DrawFormatText(\Left, \Top, \Width, \Height, \Text, \TextColor, \Justify, \Padding)
            
          Case 6 ;Affichage d'une image
            ImageEncode = \Image
            
            If Len(ImageEncode)>0
              *InputBuffer = AllocateMemory(Len(ImageEncode))
              Base64Decoder(@ImageEncode, Len(ImageEncode), *InputBuffer, Len(ImageEncode)) 
              CatchImage(Image, *InputBuffer)
            
              DrawingMode(#PB_2DDrawing_AlphaBlend)
              DrawImage(ImageID(Image),\Left, \Top, \Width, \Height)
              DrawingMode(#PB_2DDrawing_Default)
            Else
              DrawingMode(#PB_2DDrawing_Outlined) ;Bordure
              RoundBox(\Left, \Top, \width, \Height, \Round, \Round, \BorderColor)
            
              DrawingMode(#PB_2DDrawing_Default) ;Backgound
              RoundBox(\left+1, \Top+1, \Width-2, \Height-2, \Round, \Round, \BackGroundColor)
        
              ;Dessin du texte si la suface de l'entit est suffisante
              DrawingFont(FontID(\font))
              DrawingMode(#PB_2DDrawing_Transparent)
              DrawFormatText(\Left, \Top, \Width, \Height, \Text, \TextColor, \Justify, \Padding)
            EndIf
            
          Case 7 ;Affichage d'une table
            DrawingFont(FontID(\font))
            ItemHeight = TextHeight(\Text)+2
            
            DrawingMode(#PB_2DDrawing_Outlined)
            Box(\Left, \Top, \Width, \Height, \BorderColor) ;Border
          
            DrawingMode(#PB_2DDrawing_Default)
            Box(\Left+1, \Top+2, \Width-2, ItemHeight, \BackGroundColor) ;Header
                             
            For n=0 To Round(\Height/ItemHeight, #PB_Round_Up)-3
             If Mod(n, 2) = 0
               Box(\Left+1, (n*ItemHeight)+\Top+ItemHeight, \Width-2, ItemHeight, ItemBackGroundColor1) ;Item
             Else
               Box(\Left+1, n*ItemHeight+\Top+ItemHeight, \Width-2, ItemHeight, ItemBackGroundColor2) ;Item
             EndIf
             Box(\Left+1, n*ItemHeight+\Top+ItemHeight, \Width-2, 1, \BorderColor)
            Next
            
            
            ;Dessin des colonnes
            Text=\Text
            
            ;Retirer les caractres LF (Line Feed) 
            Text = RemoveString(Text, #LF$)
            
            ;Remplacer les #CR$ (Carriage Return) par un "|"
            ReplaceString(Text, #CR$,"|",#PB_String_InPlace)
            
            ;Chaque ligne est maintenant dlimite par un "|"
            ;Impression du tableau (J : Nombre de ligne  imprimer, K : Nombre de colonne, L :Colonne en cours d'impression, 
            For J=1 To CountString(Text, "|")+1
              
              Buffer = StringField(Text, J, "|")
              K=CountString(Buffer, ";")+1
              For L=1 To K
                ;Affichage du header
                If j=1
                 ; Box(\Left+(\Width/k)*L , \Top, 1, \Height, \BorderColor)
                  DrawingMode(#PB_2DDrawing_Transparent)
                  DrawText(\Left+(\Width/k)*(L-1)+\Padding, \Top+1, StringField(Buffer, L, ";"), \TextColor)
                Else
                  If MatchRegularExpression (*IsNUmeric, StringField(Buffer, L, ";"))
                    DrawText(\Left+(\Width/k)*(L-1)+\width/k-\Padding -TextWidth(StringField(Buffer, L, ";")), \Top+(ItemHeight*(J-1))+2, StringField(Buffer, L, ";"), \TextColor)
                  Else
                    DrawText(\Left+(\Width/k)*(L-1)+\Padding, \Top+(ItemHeight*(J-1))+2, StringField(Buffer, L, ";"), \TextColor)
                  EndIf
                EndIf    
              Next
            Next            
            
        EndSelect    
        
        ;-L'entit en cours est t'il relie  une autre entit ?
        If \LinkParent<>0
          
          ;Memorisation de l'entit fils 
          *LinkEntity=@Entity()
          
          ;On recherche l'entit parent
          ForEach Entity()
            If entity()\Entity = *LinkEntity\LinkParent
              
              ;Type de relation (Parent ==> Fils ou Fils ==> Parent
              LinkRelationShip = Entity()\LinkRelation
              
              ;Position du fils par rapport au pere 
              ArrowTo = 0
              
              If *LinkEntity\Top > entity()\Top + entity()\Height
                ;Le fils est en dessous du pre
                X  = entity()\left + (entity()\Width)/2 ;Milieu de l'entit Parent
                Y  = entity()\Top  + entity()\Height ; Bas de l'entit parent 
                X1 = *LinkEntity\left + (*LinkEntity\Width)/2 ;Milieu de l'entit fils
                Y1 = *LinkEntity\Top ; Haut de l'entit parent
                MoveX  = 0
                MoveY  = NodeClipSize
                MoveX1 = 0
                MoveY1 = -NodeClipSize
                ArrowTo=3 ;Sud
                
              ElseIf *LinkEntity\Top + *LinkEntity\Height < Entity()\Top
                ;Le fils est au dessus du pre
                X  = entity()\left + (entity()\Width)/2 ;Milieu de l'entit Parent
                Y  = entity()\Top ; haut de l'entit pere
                X1 = *LinkEntity\left + (*LinkEntity\Width)/2 ;Milieu de l'entit fils
                Y1 = *LinkEntity\Top + *LinkEntity\Height; Bas de l'enti fils
                MoveX  = 0
                MoveY  = -NodeClipSize
                MoveX1 = 0
                MoveY1 = NodeClipSize 
                ArrowTo=1 ;Nord
                
              ElseIf (*LinkEntity\Top < entity()\Top + Entity()\Height) And (*LinkEntity\Top + *LinkEntity\Height >= Entity()\Top)
                
                ;Le fils passe  droite du pre
                If *LinkEntity\Left >= Entity()\Left + Entity()\Width
                  X  = entity()\Left + Entity()\Width ;Point d'attache droite du pre
                  Y  = entity()\Top  + Entity()\Height / 2 ; Milieu droit de l'entit pere
                  X1 = *LinkEntity\Left ;Point d'atttache gauche  de l'entit fils
                  Y1 = *LinkEntity\Top + *LinkEntity\Height / 2; Bas de l'enti fils
                  MoveX  = NodeClipSize
                  MoveY  = 0
                  MoveX1 = -NodeClipSize
                  MoveY1 = 0
                  ArrowTo=2 ;Est
                EndIf
                
                ;Le fils passe  gauche du pre
                If (*LinkEntity\Left + *LinkEntity\Width <= Entity()\Left)  
                  X  = entity()\Left ;Point d'attache gauche du pre
                  Y  = entity()\Top  + Entity()\Height / 2 ; Milieu gauche de l'entit pere
                  X1 = *LinkEntity\Left + *LinkEntity\Width ;Point d'atttache droit  de l'entit fils
                  Y1 = *LinkEntity\Top + *LinkEntity\Height / 2; Bas de l'enti fils
                  MoveX  = -NodeClipSize
                  MoveY  = 0
                  MoveX1 = NodeClipSize
                  MoveY1 = 0
                  ArrowTo=4 ;Ouest
                EndIf
         
              EndIf  
              Break ;Inutile de continuer la recherche du parent
            EndIf
          Next  
          
          ;Traage des lignes
          ;Si ArrowTo = 0 (Indique aucune direction) alors inutile de tracer les relation
          If ArrowTo <> 0
          
            ;Attache Gauche, Droite, haut ou Bas de l'entit pere
            LineXY(X, Y, X+MoveX, Y+MoveY, NodeConnectionColor)
          
            ;Ligne entre les deux attaches 
            LineXY(X+MoveX, Y+MoveY, X1+MoveX1, Y1+MoveY1, NodeConnectionColor) 
                    
            ;Attache fils
            LineXY(X1+MoveX1, Y1+MoveY1, X1, Y1, NodeConnectionColor) 
                    
            ;Dessin de la flche
            ;la largeur de la fleches doit etre impair
            If Mod(NodeArrowWidth, 2)<>0
              NodeArrowWidth+1
            EndIf  
            
            ;Dessin des points d'ancrage.
            Circle(X, Y, NodeAnchorSize, NodeAnchorColor) ;Point d'rancrage parent - Anchor Parent
            Circle(X+MoveX, Y+MoveY, NodeAnchorSize, NodeAnchorColor) ;Point d'ancrage extrmit Attache parent
            Circle(X1+MoveX1, Y1+MoveY1, NodeAnchorSize, NodeAnchorColor) ;Point d'ancrage extrmit Attache fils
            Circle(X1, Y1, NodeAnchorSize, NodeAnchorColor) ;Point d'ancrage fils - Anchor Child
            
            ;Quel type de relation Pere Fils ?
            If LinkRelationShip=0 ;Parent ==> Fils
              ;Rappel on connait dja les coordonnes X1 et Y1 de l'entit fils
              ;X1 & Y1 reprsente les coordonnes de la pointe du triangle
              ;X et Y reprsente les coordonnes de la base du triangle
              Select ArrowTo
                Case 1 ;Nord
                  X = X1 - NodeArrowWidth/2
                  Y = Y1 + NodeArrowHeight 
                  Y1 + (NodeClipSize/4)
                  For N=0 To NodeArrowWidth
                    LineXY(X1, Y1, X+N, Y, NodeArrowColor) 
                  Next           
                
                Case 2 ;Est
                  X = X1 - NodeArrowHeight    
                  Y = Y1 - NodeArrowWidth/2 
                  X1 - (NodeClipSize/4)
                  For N=0 To NodeArrowWidth
                    LineXY(X1, Y1, X, Y+N, NodeArrowColor) 
                  Next           
                
                Case 3 ;Sud
                  X = X1 - NodeArrowWidth/2
                  Y = Y1 - NodeArrowHeight 
                  Y1 - (NodeClipSize/4)
                  For N=0 To NodeArrowWidth            
                    LineXY(X1, Y1, X+N, Y, NodeArrowColor) 
                  Next           
                
                Case 4 ;Ouest
                  X = X1 + NodeArrowHeight
                  Y = Y1 - NodeArrowWidth/2 
                  X1 + (NodeClipSize/4)    
                  For N=0 To NodeArrowWidth            
                    LineXY(X1, Y1, X, Y+N, NodeArrowColor) 
                  Next           
                               
              EndSelect  
            EndIf ;Fin Parent ==> Fils
         
            ;Relation fils --> parent (Fleche vers le haut
            ;Rappel on connait dja les coordonnes X et Y de l'entit Parent
            ;X & Y reprsente les coordonnes de la pointe du triangle
            ;X1 et Y1 reprsente les coordonnes de la base du triangle
            If LinkRelationShip=1
              Select ArrowTo
                Case 1 ;Nord
                  X1 = X - NodeArrowWidth/2
                  Y1 = Y - NodeArrowHeight 
                  Y - (NodeClipSize/4)
                  For N=0 To NodeArrowWidth            
                   LineXY(X, Y, X1+N, Y1, NodeArrowColor) 
                  Next           
                  
                Case 2 ;Est
                  X1 = X + NodeArrowHeight    
                  Y1 = Y - NodeArrowWidth/2 
                  X + (NodeClipSize/4)
                  For N=0 To NodeArrowWidth            
                    LineXY(X, Y, X1, Y1+N, NodeArrowColor) 
                  Next           
                  
                Case 3 ;Sud
                  X1 = X - NodeArrowWidth/2
                  Y1 = Y + NodeArrowHeight 
                  Y + (NodeClipSize/4)
                  For N=0 To NodeArrowWidth            
                    LineXY(X, Y, X1+N, Y1, NodeArrowColor) 
                  Next           
                
                Case 4 ;Ouest
                  X1 = X - NodeArrowHeight
                  Y1 = Y - NodeArrowWidth/2 
                  X - (NodeClipSize/4)    
                  For N=0 To NodeArrowWidth            
                    LineXY(X, Y, X1, Y1+N, NodeArrowColor) 
                  Next           
    
              EndSelect
              ;Fin du triangle    
            EndIf ;Fin Fils ==> Parent  
          EndIf
          ChangeCurrentElement(Entity(), *LinkEntity)  
        EndIf ;Fin 
      EndIf ;Fin test entit active  
    EndWith ;Fin lecture de l'entit en cours de traage
	Next ;Fin dessin de chaque entit
	
	;Une entit est slectionne pour tre relier  une autre
	If *SelectEntity
    X  = *SelectEntity\left + *SelectEntity\Width/2 ;Milieu de l'entit Parent
    Y  = *SelectEntity\Top  + *SelectEntity\Height ; Bas de l'entit parent 
    LineXY(X, Y, MouseX, MouseY, NodeConnectionColor)
    DrawText(MouseX, MouseY-20, MChooseEntity.s, RGB(255, 0, 0))
	EndIf
	
	;Dessin du cadre de slection
	If SelX1<>SelX2
	  DrawingMode(#PB_2DDrawing_Outlined)
	  Box(SelX1, SelY1, SelX2-SelX1, SelY2-SelY1, NodeConnectionColor)
	  DrawingMode(#PB_2DDrawing_Default)
	EndIf
	
	;Toutes les entites sont dssines 
	StopDrawing()	
	
EndProcedure


;
;Examine les venements du canvas gadget
;Cette procdure calul uniquement les nouvelles coordonnes de l'entit active
;ainsi que les entits imbriques dans l'entit active
;La mise  jour de l'affichage est assure par la procdure DesignUpdateContent()
;
; 7 Juin 2012 - Par Mesa
; Ajout : Redimentionnement des entites par les coins

Procedure ExamineEvent(EventType.i)

  ;Action  xcuter sur une entit :Dplacement ou redimentionnement (-1 = Rien  faire)
  Static Mode = -1
  
  ;Coordonnes et dimensions d'une entit slectionne
  Protected EntityX.i, EntityY.i, EntityWidth.i, EntityHeight.i
  
  ;Prcision dans la dtection des cots de l'entit 
  Protected Precision.i=4 
  
  ;Indice de parcours des entits parents 
  Protected N.i
  
  ;Valeur de dplacement horizontal et vertical quand on dplace une entit avec le clavier
  ;Si SnapGrid est actif MoveX = SnapX et MoveY = SnapY
  ;Sinon MoveX = MoveY = 1 les dplacements sont plus prcis
  Protected MoveX.i, MoveY.i
  
  ;-Mmorisation des coordonnes de la souris sur le canvas
	MouseX = GetGadgetAttribute(#Design, #PB_Canvas_MouseX)
	MouseY = GetGadgetAttribute(#Design, #PB_Canvas_MouseY)
	
	;Pour le moment aucune entit est survole
	*EntityHover=#False 
	
	;-Survol d'une entit
	If *ActiveEntity = #False
	
	  ForEach Entity()
	    
	    Entity()\Current = #False
	    
	    With Entity()
	      
	      ;Seul les entits non supprimes sont prises en compte (Actif=#True)
	      If \Actif=#True
          EntityX = \Left
          EntityY = \Top
          EntityWidth = \Width
          EntityHeight = \Height
          
          ;L'entit se trouve t'elle sous la souris ?
          If MouseX > EntityX And MouseX < EntityX+EntityWidth And MouseY > EntityY And MouseY < EntityY+EntityHeight
            ;-Une entit est survol
            *EntityHover = @Entity()
            
            ;Le cadre de selection sera dssin
            \Current= #True           
            
            ;On s'apprete  dplacer l'entit
            Mode=0 
            
            Select OSVersion()
              Case #PB_OS_Windows_7, #PB_OS_Windows_Vista, #PB_OS_Windows_XP
                SetGadgetAttribute(#Design, #PB_Canvas_Cursor, #PB_Cursor_Arrows)
              Default ;#PB_Cursor_Arrows interdit sous MacOs
                SetGadgetAttribute(#Design, #PB_Canvas_Cursor, #PB_Cursor_Cross)
            EndSelect
            
            ;Cherche t'on  redimentionner une entit par le haut ?
            If MouseY < EntityY+Precision
              If MouseX < EntityX+Precision
                Mode = 13 ; Coin Haut Gauche
                                
              ElseIf MouseX > EntityX+EntityWidth-Precision ; coin HD
                Mode = 14 ; coin Haut Droit
                
              Else
                
                Mode = 1 ;On s'apprete  redimensionner le gagget par le bord haut
                SetGadgetAttribute(#Design, #PB_Canvas_Cursor, #PB_Cursor_UpDown)
              EndIf
            EndIf
            
            
            ;Cherche t'on  redimentionner une entit par le bas ?
            If MouseY > EntityY+EntityHeight-Precision
              If MouseX < EntityX+Precision
                Mode = 23 ;Coin Bas Gauche
                
              ElseIf MouseX >    EntityX+EntityWidth-Precision ; coin BD
                Mode = 24 ; coin HG
                
                Select OSVersion()
                  Case #PB_OS_Windows_7,#PB_OS_Windows_Vista, #PB_OS_Windows_XP
                    SetGadgetAttribute(#Design, #PB_Canvas_Cursor, #PB_Cursor_LeftUpRightDown)  
                  Default 
                    SetGadgetAttribute(#Design, #PB_Canvas_Cursor, #PB_Cursor_Cross)          
                EndSelect
                
              Else
                Mode = 2 ;On s'apprete  redimensionner le gagget par le bord bas 
                SetGadgetAttribute(#Design, #PB_Canvas_Cursor, #PB_Cursor_UpDown)
              EndIf
            EndIf
            
            ;Cherche t'on  dplacer une entit par la gauche ?
            If MouseX < EntityX+Precision
              If MouseY < EntityY+Precision
                Mode = 13 ; coin HG
                
                Select OSVersion()
                  Case #PB_OS_Windows_7, #PB_OS_Windows_Vista, #PB_OS_Windows_XP
                    SetGadgetAttribute(#Design, #PB_Canvas_Cursor, #PB_Cursor_LeftUpRightDown)  
                    
                  Default 
                    SetGadgetAttribute(#Design, #PB_Canvas_Cursor, #PB_Cursor_Cross)      
                EndSelect
                
              ElseIf MouseY > EntityY+EntityHeight-Precision ; coin BG
                Mode =23 ; coin Bas Gauche
                
                Select OSVersion()
                  Case #PB_OS_Windows_7, #PB_OS_Windows_Vista, #PB_OS_Windows_XP
                    SetGadgetAttribute(#Design, #PB_Canvas_Cursor, #PB_Cursor_LeftDownRightUp)    
                  Default 
                    SetGadgetAttribute(#Design, #PB_Canvas_Cursor, #PB_Cursor_Cross)      
                EndSelect
                  
              Else
                Mode = 3 ;On s'apprete  redimensionner le gagget par le bord gauche 
                SetGadgetAttribute(#Design, #PB_Canvas_Cursor, #PB_Cursor_LeftRight)
              EndIf
            EndIf
            
            ;Cherche t'on  dplacer une entit par la droite ?
            If MouseX > EntityX+EntityWidth-Precision
              
              
              If MouseY < EntityY+Precision
                Mode =14 ;coin Haut Droit
                
                Select OSVersion()
                  Case #PB_OS_Windows_7, #PB_OS_Windows_Vista, #PB_OS_Windows_XP
                    SetGadgetAttribute(#Design, #PB_Canvas_Cursor, #PB_Cursor_LeftDownRightUp)  
                    
                  Default 
                    SetGadgetAttribute(#Design, #PB_Canvas_Cursor, #PB_Cursor_Cross)      
                EndSelect
                
              ElseIf MouseY > EntityY+EntityHeight-Precision
                Mode =24 ;Coin Bas Droit
                               
              Else
                
                Mode = 4 ;Bord droit 
                SetGadgetAttribute(#Design, #PB_Canvas_Cursor, #PB_Cursor_LeftRight)
                
              EndIf
            EndIf ;Fin dplacement par la droite
          
          EndIf ;End Redimentionne = True
        EndIf ;End active True
			EndWith
		Next
		
		
		;Aucune entit est survol on rtabli le curseur normal
		If Not *EntityHover
      SetGadgetAttribute(#Design, #PB_Canvas_Cursor, #PB_Cursor_Default)  
    EndIf
	EndIf

	;Examinons les venements de la souris
	;RAPPEL :
	;   *EntityHover = Entit survole
	;    Quand le curseur de la souris est en dehors de l'entit : *EntityHover = #False
	;
	;   *ActiveEntity = Entit slectionne pour un dplacement
	;    Quand le bouton gauche de la souris est activ : *ActiveEntity = *EntityHover
	;    Quand le bouton droit de la souris est relach : *ActiveEntity = #False
	;
	;   *InspectEntity = Entit pris en compte pour la mise  jour de l'inspecteur 
	;   
	Select EventType
	    
	  ;-Appel du menu contextuel
	  Case #PB_EventType_RightButtonDown	    
	    *InspectEntity = *EntityHover
	    *ActiveEntity = #False
	    
	    SetGadgetAttribute(#Design, #PB_Canvas_Cursor, #PB_Cursor_Default)
	    
	    ;-Modification du menu contextuel (PopUp)
	    If *EntityHover
	      DisableMenuItem(#PopUpMenu, #PMInsNode, #False)
	      DisableMenuItem(#PopUpMenu, #PMCopy, #False)
	      If MemoryEntity\Actif=#True
	        DisableMenuItem(#PopUpMenu, #PMPaste, #False)
	      Else
	        DisableMenuItem(#PopUpMenu, #PMPaste, #True)
	      EndIf
	      DisableMenuItem(#PopUpMenu, #PMDelete, #False)
	      DisableMenuItem(#PopUpMenu, #PMForward, #False)
	      DisableMenuItem(#PopUpMenu, #PMBackward, #False)
	      
	      If *EntityHover\Model <> 6 ;Editable si diffrent d'une image
	        DisableMenuItem(#PopUpMenu, #PMEntityEdit, #False)
	      Else
	        DisableMenuItem(#PopUpMenu, #PMEntityEdit, #True)
	      EndIf
	      
	      
	    Else
	      DisableMenuItem(#PopUpMenu, #PMInsNode, #True)
	      DisableMenuItem(#PopUpMenu, #PMCopy, #True)
	      If MemoryEntity\Actif=#True
	        DisableMenuItem(#PopUpMenu, #PMPaste, #False)
	      Else
	        DisableMenuItem(#PopUpMenu, #PMPaste, #True)
	      EndIf
	      DisableMenuItem(#PopUpMenu, #PMDelete, #True)
	      DisableMenuItem(#PopUpMenu, #PMForward, #True)
	      DisableMenuItem(#PopUpMenu, #PMBackward, #True)
	      DisableMenuItem(#PopUpMenu, #PMEntityEdit, #True)
	    EndIf
	    
	    ;Si l'inspector est ouvert on le dsactive dans le menu contextuel
	    If IsWindow(#EntityForm)
	      DisableMenuItem(#PopUpMenu, #PMInspector, #True)
	    Else
	      DisableMenuItem(#PopUpMenu, #PMInspector, #False)
	    EndIf
	    
	    ;Si la fentre preference est ouverte on dsactive l'appel dans le menu contextuel
	    If IsWindow(#PreferenceForm)
	      DisableMenuItem(#PopUpMenu, #PMPreference, #True)
	    Else
	      DisableMenuItem(#PopUpMenu, #PMPreference, #False)
	    EndIf

	    
	    ;-Affichage du menu PopPup
	    DisplayPopupMenu(#PopUpMenu, WindowID(#Mainform))
	    
	  Case #PB_EventType_LeftDoubleClick
	    Inspector_Open()
	    	  	    
	  Case #PB_EventType_LeftButtonUp
	    
	    ;Plus de modifcation d'entit
	    *ActiveEntity = #False
	    mode=-1
	    
	    ;26/6/12 - Quels sont les entits inclus dans le cadre de selection
	    If SelX1<>-1 And SelX2<>-1
	      ;27/6/12 - AU cas ou le cadre n'est pas dessin en partant du bord haut/gauche
	      If SelX2 < SelX1
	        SelX0 = SelX1
	        SelX1 = SelX2
	        SelX2 = SelX0	        
	      EndIf
	      
	      If SelY2 < SelY1
	        SelY0 = SelY1
	        SelY1 = SelY2
	        SelY2 = SelY0
	      EndIf
	      
	      ForEach Entity()
	        With Entity()
	          If \Left > SelX1 And (\Left + \Width) < SelX2 And \Top > SelY1 And \Top + \Height < SelY2
	            \Frame = #True ;L'entit sera dans le cadre de selection
	          EndIf
	        EndWith
	      Next
	    EndIf
	    
	    ;26/6/12 - Plus de cadre de slection
	    SelX1=-1
	    SelY1=-1
	    SelX2=-1
	    SelY2=-1  
	    DesignUpdateContent()
	    
	  ;-Selection d'une entit ou pas 
	  Case #PB_EventType_LeftButtonDown
	  
	    If *EntityHover
	      ;Une entit est survole au moment ou on clic-gauche 
	      
	      ;L'entit survol devient l'entit active (la detection de l'entit survol devient inactif)
	      *ActiveEntity = *EntityHover 
	      
	      ;Grace  ce pointeur, on pourra mettre  jour 'inspecteur d'entit
	      *InspectEntity = *EntityHover
	      
	      ;Il faudra dssiner un cadre de slection pour l'entit actif
	      *InspectEntity\Current=#True
	      
	      ;Pourquoi ne pas garder *ActiveEntity pour la mise  jour du l'inspecteur ?
	      ;-Quand on relache le clic gauche de la souris, *ActiveEntity sera remis  zero
	      ; de manire  repprendre la dtection des entits survoles.
	      ;-*InspectEntity fonctionne dans les deux sens. 
	      ; Si on modifie les paramtres de l'entit depuis l'inspecteur, l'entit sera mise  jour.
	      
	      If *ActiveEntity\Frame = #False
	        Entity_Select(#False)
	      EndIf
	      
		    DeltaX=MouseX-*ActiveEntity\Left
		    DeltaY=MouseY-*ActiveEntity\Top
		    
		    Inspector_Clear(#False)
		    Inspector_Update()
		    EntityEdit_UPdate()
		    
		    If *SelectEntity And *SelectEntity\Entity <> *EntityHover\Entity
		      *EntityHover\LinkParent = *SelectEntity\Entity
		      *SelectEntity = #False
		    EndIf
		    
		    DesignUpdateContent()
		  Else
		    
		    ;Pas d'entit survol. Le focus est sur le grid
		    
		    ;L'entit active ne doit plus l'etre
		    If *InspectEntity
		      *InspectEntity\Current=#False
		      Inspector_Clear()
		      EntityEdit_Clear()
		      *InspectEntity=#False
		      DesignUpdateContent()
		    EndIf
		    
		    ;L'entit selectionn pour tablir une relation n'est plus active
		    If *SelectEntity
		      *SelectEntity = #False  
		      DesignUpdateContent()
		    EndIf
		    
		    ;26/6/12 - Mmorisation des coordonnes haut/gauche du cadre de slection
		    If SelX1=-1
		      SelX1=MouseX
		      SelY1=MouseY
		      
		      ;Les entits prcdement selectionns dans un cadre sont dselectionnes 
		      Entity_Select(#False)
		    EndIf
		    
		  EndIf
		  
	    
	  ;-Dplacement/redimentionnement d'une entit  
	  ; Mode est dfini lors du survol de l'entit 
	  Case 	#PB_EventType_MouseMove, #PB_EventType_KeyDown
	  
	    ;26/6/12 - Mmorisation des coordonnes Bas/droit du cadre de slection
	    If SelX1<>-1
	      SelX2 = MouseX
	      SelY2 = MouseY	  
	    EndIf
	    
	    ;Dplacement avec les fleches du clavier
	    If EventType = #PB_EventType_KeyDown And *InspectEntity <> #False	 
	      ;Calcul du pas de dplacement  faire
	      If SnapToGrid = #True
	        MoveX = SnapX
	        MoveY = SnapY
	      Else
	        MoveX = 1
	        MoveY = 1
	      EndIf
	  
	      Select GetGadgetAttribute(#Design, #PB_Canvas_Key)  
	        Case 37 ;Fleche Gauche
	          *ActiveEntity=*InspectEntity
	          DeltaX = 0  
	          DeltaY = 0
	          MouseX=*ActiveEntity\Left - MoveX
	          MouseY=*ActiveEntity\top
	          *ActiveEntity\Current=#True
	          Mode = 100
	          
 	        Case 38 ;Fleche Haut
	          *ActiveEntity=*InspectEntity
	          DeltaX = 0  
	          DeltaY = 0
	          MouseX=*ActiveEntity\Left
	          MouseY=*ActiveEntity\top - MoveY
	          *ActiveEntity\Current=#True
	          Mode = 100
  
	        Case 39 ;Fleche Droite
	          *ActiveEntity=*InspectEntity
	          DeltaX = 0  
	          DeltaY = 0
	          MouseX=*ActiveEntity\Left + MoveX
	          MouseY=*ActiveEntity\top
	          *ActiveEntity\Current=#True
	          Mode = 100
	          
	        Case 40 ;Fleche Bas
	          *ActiveEntity=*InspectEntity
	          DeltaX = 0  
	          DeltaY = 0
	          MouseX=*ActiveEntity\Left
	          MouseY=*ActiveEntity\top + MoveY
	          *ActiveEntity\Current=#True
	          Mode = 100
	          	          
	      EndSelect
	    EndIf
	    
	    If *ActiveEntity
	      
	      Select Mode
	          
	        Case 0, 100 ;Dplacement avec la souris (0) ou les fleches du clavier (100)
	          SaveFile=#True ;Une sauvegarde sera  faire	          
	          ForEach Entity()
	            
	            
	            ;Nouvelles coordonnes (X,Y) des entits filles
	            If Entity()\Frame <> #True
	            For N=1 To Entity()\Parents[0]
	              If Entity()\Parents[N] = *ActiveEntity\Entity And Entity() <> *ActiveEntity  
	                Entity()\Left = (MouseX-DeltaX)  - (*ActiveEntity\Left - Entity()\Left)
	                Entity()\Top = (MouseY-DeltaY)  - (*ActiveEntity\Top - Entity()\Top)
	                
	                ;Correction de l'alignement sur le grid si SnapGrid actif
	                If SnapToGrid = #True
	                  Entity()\Left = GetNearPoint(Entity()\Left, SnapX)
	                  Entity()\Top = GetNearPoint(Entity()\Top, SnapY)
	                EndIf
	                
	              EndIf
	            Next
	            EndIf 
		        Next 
		        
		        ;26/6/12 - Dplacement des entits encadrs
		        ForEach Entity()
		          If Entity()\Frame = #True And Entity()\Entity <> *ActiveEntity\Entity
	              Entity()\Left = (MouseX-DeltaX)  - (*ActiveEntity\Left - Entity()\Left)
	              Entity()\Top = (MouseY-DeltaY)  - (*ActiveEntity\Top - Entity()\Top)
	              
	              ;Correction de l'alignement sur le grid si SnapGrid actif
	              If SnapToGrid = #True
	                Entity()\Left = GetNearPoint(Entity()\Left, SnapX)
	                Entity()\Top = GetNearPoint(Entity()\Top, SnapY)
	              EndIf
	            EndIf
	          Next
		        
		        
		        ;Nouvelles coordonnes (X,Y) de l'entit parent
	          *ActiveEntity\Top=MouseY-DeltaY
	          *ActiveEntity\Left=MouseX-DeltaX
	          		        
		      Case  1 ;Redimentionne par le bord haut (Anchor Nord)
		        If *ActiveEntity\Height+(*ActiveEntity\Top-MouseY) > 10
		          *ActiveEntity\Height = *ActiveEntity\Height+(*ActiveEntity\Top-MouseY)
		          *ActiveEntity\Top = MouseY
		        EndIf
		    		    
		      Case  2 ;Redimentionnement par le bord bas (Anchor South)
		        If MouseY-*ActiveEntity\Top > 10
		          *ActiveEntity\Height=MouseY-*ActiveEntity\Top
		        EndIf
		    
		      Case  3 ;Redimentionnement par le bord gauche (Anchor West)
		        If *ActiveEntity\Width + (*ActiveEntity\Left-MouseX) > 10
		          *ActiveEntity\Width = *ActiveEntity\Width + (*ActiveEntity\Left-MouseX) 
		          *ActiveEntity\Left=MouseX
		        EndIf
        
		      Case  4 ;Redimentionnement par le bord droit (Anchor East)
		        If MouseX - *ActiveEntity\Left > 10
		          *ActiveEntity\Width = MouseX - *ActiveEntity\Left
		        EndIf
		        
          Case 13 ;Redimentionnement par le coin HG
            If *ActiveEntity\Height+(*ActiveEntity\Top-MouseY) > 10
              *ActiveEntity\Height = *ActiveEntity\Height+(*ActiveEntity\Top-MouseY)
              *ActiveEntity\Top = MouseY
            EndIf
            If *ActiveEntity\Width + (*ActiveEntity\Left-MouseX) > 10
              *ActiveEntity\Width = *ActiveEntity\Width + (*ActiveEntity\Left-MouseX) 
              *ActiveEntity\Left=MouseX
            EndIf
            
          Case 14 ;Redimentionnement par le  coin HD
            If *ActiveEntity\Height+(*ActiveEntity\Top-MouseY) > 10
              *ActiveEntity\Height = *ActiveEntity\Height+(*ActiveEntity\Top-MouseY)
              *ActiveEntity\Top = MouseY
            EndIf
            If MouseX - *ActiveEntity\Left > 10
              *ActiveEntity\Width = MouseX - *ActiveEntity\Left
            EndIf
            
          Case 23 ;Redimentionnement par le  coin BG   
            If MouseY-*ActiveEntity\Top > 10
              *ActiveEntity\Height=MouseY-*ActiveEntity\Top
            EndIf
            If *ActiveEntity\Width + (*ActiveEntity\Left-MouseX) > 10
              *ActiveEntity\Width = *ActiveEntity\Width + (*ActiveEntity\Left-MouseX) 
              *ActiveEntity\Left=MouseX
            EndIf
            
          Case 24 ;Redimentionnement par le  coin BD 
            If MouseY-*ActiveEntity\Top > 10
              *ActiveEntity\Height=MouseY-*ActiveEntity\Top
            EndIf
            If MouseX - *ActiveEntity\Left > 10
              *ActiveEntity\Width = MouseX - *ActiveEntity\Left
            EndIf
		                   
        EndSelect ;End Mode
        
        
        ;Qui sont les entits imbriqus
		    GetEntityLink(*ActiveEntity\Entity, ParentEntity())
		    For N=0 To ParentEntity(0)
		      *ActiveEntity\Parents[n]=ParentEntity(N)
		    Next
		    
		    *ActiveEntity\LastParent = ParentEntity(ParentEntity(0))
		    
        ; Dplacement de l'entit parent - Move parent entity
        If SnapToGrid = #True
          *ActiveEntity\Height = GetNearPoint(*ActiveEntity\Height, SnapY) -1
          *ActiveEntity\Width = GetNearPoint(*ActiveEntity\Width, SnapX) -1
          *ActiveEntity\Left = GetNearPoint(*ActiveEntity\Left, SnapX)
          *ActiveEntity\Top = GetNearPoint(*ActiveEntity\Top, SnapY)
        EndIf		    		    
        
        ;Redessines les entits
        DesignUpdateContent()
        
        ;Mise  jour de l'inspecteur d'entit (Coordonnes seules)
        Inspector_Update(1)
        
        If mode=100
          *ActiveEntity=#False
        EndIf
        
      EndIf ;End *ActiveEntity        
      
  EndSelect ;Fin examen des evenements souris 
  
  If *SelectEntity Or (SelX1<>-1 And SelY1<>-1 And SelX2<>-1 And SelY2<>-1)
    DesignUpdateContent()
  EndIf
  
  
EndProcedure


;
;-Start <===
UseJPEGImageEncoder() ;Sauvegarde de l'image de projet
UseJPEGImageDecoder() ;Importation d'images 
UsePNGImageDecoder()  ;Importation d'images

Application_Init() ;Initialisation des variables de l'application
Media_Load() ;Chargement des mdias de l'application
Mainform_Open() ;Ouverture de la fenetre 
File_New()

;
;-Boucle evenementielle
Repeat
  Event = WaitWindowEvent(10)
  WEvent = EventWindow() ;Different de WindowEvent() :p (oui je me suis fais avoir !!!)
  MEvent = EventMenu()
  GEvent = EventGadget()
  TEvent = EventType()
  
  Select Event  
    Case #PB_Event_Menu      
      Select MEvent
        Case #PMBoxRound To #PMDiamond, #PMTable ;--Ajout d'une entit
          Entity_Add(MEvent) ;Ajout de l'entit
          *InspectEntity = @Entity()
          Inspector_Update()
          DesignUpdateContent() ;Mise  jour du design
          
        Case #Kbd_B, #Kbd_T
          If MEvent = #Kbd_B
            Entity_Add(1) ;Insertion d'un Box Round
          Else
            Entity_Add(4) ;Insertion d'un texte
          EndIf
          
          *InspectEntity = @Entity()
          Inspector_Clear(#False)
          Inspector_Update()
          DesignUpdateContent() ;Mise  jour du design
          
        Case #PMImage, #Kbd_I ;Ajouter une image
          Entity_AddImage()
          
        Case #PMToolBarShow, #Kbd_F11 ;Affiche ou pas la barre d'icone horizontal
          MainForm_ToolHBI()
              
        Case #PMInsNode, #Kbd_Ins ;--Ajout d'un noeud
          If *InspectEntity
            Node_Insert()
            *InspectEntity = @Entity()
            Inspector_Update()
            DesignUpdateContent()
          EndIf
          
        Case #PMCopy, #Kbd_CtrlC ;--Copier une entit en mmoire
          If *InspectEntity
            Entity_Copy()
          EndIf
                    
        Case #PMPaste, #Kbd_CtrlV ;--Coller une entit mmoriser
          If MemoryEntity
            Entity_Add(EventMenu())
            Entity_Paste()          
            DesignUpdateContent() ;La nouvelle entit sera cree
          EndIf
                  
        Case #PMDelete, #Kbd_CtrlX, #Kbd_Del ;--Supression d'une entit
          If *InspectEntity
            Entity_Delete()
            SetGadgetAttribute(#Design, #PB_Canvas_Cursor, #PB_Cursor_Default)
            DesignUpdateContent() ;L'entit concerne ne sera pas cre
            Inspector_Clear()
          EndIf
          
        Case #Kbd_CtrlA ;Slectionner toutes les entits
          Entity_Select(#True)
          DesignUpdateContent() ;Affichage de la slection
          
        Case #Kbd_CtrlL ;Relier une entit
          If *InspectEntity
            EntityToSelect = #True
            *SelectEntity =  *InspectEntity
          EndIf  
          
        Case #Kbd_CtrlU ;Dfaire une liaison avec une autre entit
          If *InspectEntity
            *InspectEntity\LinkParent = 0
            DesignUpdateContent() ;L'entit concerne ne sera plus linker
          EndIf  
            
        Case #PMForward ;--Entit devant
          If *InspectEntity
            ChangeCurrentElement(Entity(), *InspectEntity)
            MoveElement(Entity(), #PB_List_Last)   
            DesignUpdateContent()
          EndIf         
          
        Case #PMBackward ;--Entit en arriere plan
          If *InspectEntity
            ChangeCurrentElement(Entity(), *InspectEntity)
            MoveElement(Entity(), #PB_List_First)   
            DesignUpdateContent()
          EndIf
          
        Case #PMEntityEdit, #Kbd_CtrlReturn
          If *InspectEntity And *InspectEntity\Model <> 6 And *InspectEntity\Model <> 8
            EntityEdit_Open()
            EntityEdit_Update()
            
          ElseIf *InspectEntity And *InspectEntity\Model = 6
            Entity_AddImage(1) ;Modification de l'image
            
          ElseIf *InspectEntity And *InspectEntity\Model = 8
            If *InspectEntity\Text = ""
              *InspectEntity\Text = "1"
            Else
              *InspectEntity\Text = ""
            EndIf  
            
            ;Mise  jour de l'affichage
            DesignUpdateContent()
          EndIf
          
        Case #PMInspector, #Kbd_F2, #Kbd_Space
          Inspector_Open()
          
        Case #PMPreference, #Kbd_CtrlP
          Preference_Open()
          
        Case #FileNew, #Kbd_CtrlN ;--Nouveau projet
          File_New()
          
        Case #FileOpen, #Kbd_CtrlO ;--Ouverture d'un projet
          File_Open()
          
        Case #FileSave, #Kbd_CtrlS ;--Sauvegarde d'un projet
          File_Save()
          
        Case #FileSaveAs ;--Sauvegarder sous d'un  projet
          NewFile=#True
          File_Save()
          
        Case #ImageSaveAs ;--Sauvegarder une image du projet 
          DesignUpdateContent(#True)    
          Image_Save()
                    
        Case #Kbd_Return
          SetNextField()
          
        Case #Kbd_Escape
          Select WEVent
            Case #EntityForm
              CloseWindow(#EntityForm)
              
            Case #PreferenceForm
              CloseWindow(#PreferenceForm)
              
          EndSelect
          
        Case  #Kdb_S ;Align sur la grille ou pas 
          If SnapToGrid=#True
            SnapToGrid=#False
          Else
            SnapToGrid=#True
          EndIf
          
          
     EndSelect     

   Case #PB_Event_Gadget     
     ;-Evenement Toollbar et Grid  
     If WEVent = #Mainform
       Select GEvent
           
         Case #TBFileNew ;Nouveau projet
		       Select TEvent
		         Case #PB_EventType_MouseEnter
		           SetGadgetAttribute(GEvent, #PB_Canvas_Cursor, #PB_Cursor_Hand)
		           
		         Case #PB_EventType_LeftClick
		           File_New()
		       EndSelect           
		       
		     Case #TBFileOpen ;Ouverture d'un projet
		       Select TEvent
		         Case #PB_EventType_MouseEnter
		           SetGadgetAttribute(GEvent, #PB_Canvas_Cursor, #PB_Cursor_Hand)
		           
		         Case #PB_EventType_LeftClick
		           File_Open()
		       EndSelect           
           
         Case #TBFileSave ;Sauvegarde d'un projet 
		       Select TEvent
		         Case #PB_EventType_MouseEnter
		           SetGadgetAttribute(GEvent, #PB_Canvas_Cursor, #PB_Cursor_Hand)
		           
		         Case #PB_EventType_LeftClick
		           File_Save()
		       EndSelect           
		       
		     Case #TBImageSave ;Sauvegarde de l'image du projet
		       Select TEvent
		         Case #PB_EventType_MouseEnter
		           SetGadgetAttribute(GEvent, #PB_Canvas_Cursor, #PB_Cursor_Hand)
		           
		         Case #PB_EventType_LeftClick
		           DesignUpdateContent(#True)
		           Image_Save()
		       EndSelect           
		       
		     Case #TBTextLeft ;Aligner le texte  gauche
		       Select TEvent
		         Case #PB_EventType_MouseEnter
		           SetGadgetAttribute(GEvent, #PB_Canvas_Cursor, #PB_Cursor_Hand)
		           
		         Case #PB_EventType_LeftClick
		           If *InspectEntity
		             *InspectEntity\Justify=0
		             DesignUpdateContent()
		           EndIf
		       EndSelect           
		       
		     Case #TBTextRight ;Aligner le texte  droite
		       Select TEvent
		         Case #PB_EventType_MouseEnter
		           SetGadgetAttribute(GEvent, #PB_Canvas_Cursor, #PB_Cursor_Hand)
		           
		         Case #PB_EventType_LeftClick
		           If *InspectEntity
		             *InspectEntity\Justify=1
		             DesignUpdateContent()
		           EndIf
		       EndSelect
		       
		     Case #TBTextCenter ;Aligner le texte au centre
		       Select TEvent
		         Case #PB_EventType_MouseEnter
		           SetGadgetAttribute(GEvent, #PB_Canvas_Cursor, #PB_Cursor_Hand)
		           
		         Case #PB_EventType_LeftClick
		           If *InspectEntity
		             *InspectEntity\Justify=2
		             DesignUpdateContent()
		           EndIf
		       EndSelect
		       
		     Case #TBNodeAdd ;Ajout d'un node
		       Select TEvent
		         Case #PB_EventType_MouseEnter
		           SetGadgetAttribute(GEvent, #PB_Canvas_Cursor, #PB_Cursor_Hand)
		           
		         Case #PB_EventType_LeftClick
		           If *InspectEntity
		             Node_Insert()
		             DesignUpdateContent()
		           EndIf
		       EndSelect
		       
		     Case #Wrapper
		       MainForm_Resize()
		       
		     Case #Design
		       Select TEvent
		         Case #PB_EventType_MouseWheel
		           SetGadgetAttribute(#Wrapper, #PB_ScrollArea_Y, GetGadgetAttribute(#Wrapper, #PB_ScrollArea_Y)-GetGadgetAttribute(GEvent, #PB_Canvas_WheelDelta)*30)
               DesignHeight = GadgetHeight(#Wrapper) + GetGadgetAttribute(#Wrapper, #PB_ScrollArea_Y) 
               ResizeGadget(#Design, 0, 0, #PB_Ignore, DesignHeight)
               DesignUpdateContent()
               
             Default
               ExamineEvent(TEvent)     
           EndSelect
           
       EndSelect
     EndIf 
     ;Fin venement grid
     
     ;-Evenement Inspector
     If WEVent = #EntityForm
       Select GEvent
           
         Case #DSModel ;Changement de model
          Select TEvent
             Case #PB_EventType_Focus
               SetGadgetColor(GEvent, #PB_Gadget_BackColor, FieldFocusBackColor)
               
             Case #PB_EventType_Change
               SetGadgetColor(GEvent, #PB_Gadget_BackColor, #PB_Default)
               *InspectEntity\Model = GetGadgetState(#DSModel)+1
               
               ;Selection d'une image si changement de model d'entit pour une image
               If *InspectEntity\Model = 6
                 Entity_AddImage(1) ;Modification de l'image
               EndIf
               
               DesignUpdateContent()
           EndSelect
           
           
         Case #DSX ;Position X
           Select TEvent
             Case #PB_EventType_Focus
               SetGadgetColor(GEvent, #PB_Gadget_BackColor, FieldFocusBackColor)
               
             Case #PB_EventType_LostFocus
               SetGadgetColor(GEvent, #PB_Gadget_BackColor, #PB_Default)
               *InspectEntity\Left = Val(GetGadgetText(#DSX))
               DesignUpdateContent()
           EndSelect
                	      
         Case #DSY ;Position Y de l'entit
           Select TEvent      
             Case #PB_EventType_Focus
               SetGadgetColor(GEvent, #PB_Gadget_BackColor, FieldFocusBackColor)
               
             Case #PB_EventType_LostFocus
               SetGadgetColor(GEvent, #PB_Gadget_BackColor, #PB_Default)
               *InspectEntity\Top = Val(GetGadgetText(#DSY))
               DesignUpdateContent()    
           EndSelect
            
         Case #DSW ;Largeur d'une entit
           Select TEvent      
             Case #PB_EventType_Focus
               SetGadgetColor(GEvent, #PB_Gadget_BackColor, FieldFocusBackColor)
               
             Case #PB_EventType_LostFocus
               SetGadgetColor(GEvent, #PB_Gadget_BackColor, #PB_Default)
              *InspectEntity\Width = Val(GetGadgetText(#DSW))
		          DesignUpdateContent()
		      EndSelect
           
		     Case #DSH ;Hauteur d'une entit
           Select TEvent      
             Case #PB_EventType_Focus
               SetGadgetColor(GEvent, #PB_Gadget_BackColor, FieldFocusBackColor)
               
             Case #PB_EventType_LostFocus
               SetGadgetColor(GEvent, #PB_Gadget_BackColor, #PB_Default)
    		       *InspectEntity\Height = Val(GetGadgetText(#DSH))
    		       DesignUpdateContent()
    		   EndSelect
            
		     Case #DSText ;Texte de l'entit
           Select TEvent      
             Case #PB_EventType_Focus
               SetGadgetColor(GEvent, #PB_Gadget_BackColor, FieldFocusBackColor)
                              
             Case #PB_EventType_LostFocus
               SetGadgetColor(GEvent, #PB_Gadget_BackColor, #PB_Default)
    		       *InspectEntity\Text = GetGadgetText(#DSText)
		           DesignUpdateContent()    
		       EndSelect
		       
		     Case #DSTextEx ;Bouton saisie multiligne d'une entit 
		       Select TEvent
		         Case #PB_EventType_MouseEnter
		           SetGadgetAttribute(GEvent, #PB_Canvas_Cursor, #PB_Cursor_Hand)
		           
		         Case #PB_EventType_LeftClick
		           If *InspectEntity\Model <> 6
		             EntityEdit_Open() 
		             EntityEdit_UPdate()
		           ElseIf *InspectEntity\Model = 6
		             Entity_AddImage(1) ;Modification de l'image
		           EndIf
		       EndSelect
		       
		     Case #DSJustify ;Justify
           Select TEvent      
             Case #PB_EventType_Focus
                              
             Case #PB_EventType_Change
    		       *InspectEntity\Justify = GetGadgetState(GEvent)
		           DesignUpdateContent()    
		       EndSelect
		       
		     Case #DSPadding ;Marge intrieur, Padding
           Select TEvent      
             Case #PB_EventType_Focus
               SetGadgetColor(GEvent, #PB_Gadget_BackColor, FieldFocusBackColor)
                              
             Case #PB_EventType_LostFocus
               SetGadgetColor(GEvent, #PB_Gadget_BackColor, #PB_Default)
    		       *InspectEntity\padding = Val(GetGadgetText(GEvent))
		           DesignUpdateContent()    
		       EndSelect	
		       
		     Case #DSSelCol1 ;Couleur de texte
		       Select TEvent
		         Case #PB_EventType_MouseEnter
		           SetGadgetAttribute(#DSSelCol1, #PB_Canvas_Cursor, #PB_Cursor_Hand)
		           
		         Case #PB_EventType_LeftClick
		           SelectColor = ColorRequester(GetGadgetData(#DSSelCol1))
		           If SelectColor<>-1
		             SetGadgetData(#DSSelCol1, SelectColor)
		             SetGadgetText(#DSTextColor, "RGB("+Str(Red(SelectColor))+Chr(44)+Str(Green(SelectColor))+Chr(44)+Str(Blue(SelectColor))+")")
		             *InspectEntity\TextColor=SelectColor
		             DesignUpdateContent()
		           EndIf	             
		       EndSelect
		       
		       
		     Case #DSSelCol2 ;Couleur d'arriere plan
		       Select TEvent
		         Case #PB_EventType_MouseEnter
		           SetGadgetAttribute(#DSSelCol2, #PB_Canvas_Cursor, #PB_Cursor_Hand)
		           
		         Case #PB_EventType_LeftClick
		           SelectColor = ColorRequester(GetGadgetData(#DSSelCol2))
		           If SelectColor<>-1
		             SetGadgetData(#DSSelCol2, SelectColor)
		             SetGadgetText(#DSBackColor, "RGB("+Str(Red(SelectColor))+Chr(44)+Str(Green(SelectColor))+Chr(44)+Str(Blue(SelectColor))+")")
		             *InspectEntity\BackGroundColor=SelectColor
		             DesignUpdateContent()
		           EndIf
		       EndSelect
		       
		     Case #DSSelCol3 ;Couleur bordure
		       Select TEvent
		         Case #PB_EventType_MouseEnter
		           SetGadgetAttribute(#DSSelCol3, #PB_Canvas_Cursor, #PB_Cursor_Hand)
		           
		         Case #PB_EventType_LeftClick
		           SelectColor = ColorRequester(GetGadgetData(#DSSelCol2))
		           If SelectColor<>-1
		             SetGadgetData(#DSSelCol3, SelectColor)
		             SetGadgetText(#DSBackColor, "RGB("+Str(Red(SelectColor))+Chr(44)+Str(Green(SelectColor))+Chr(44)+Str(Blue(SelectColor))+")")
		             *InspectEntity\BorderColor=SelectColor
		             DesignUpdateContent()
		           EndIf
		       EndSelect		       
		     Case #DSSelFont ;Selecteur de font
		       Select TEvent
		         Case #PB_EventType_MouseEnter
		           SetGadgetAttribute(#DSSelFont, #PB_Canvas_Cursor, #PB_Cursor_Hand)
		           
		         Case #PB_EventType_LeftClick
		           FontName = *InspectEntity\FontName
		           FontSize = *InspectEntity\FontSize
		           FontStyle = *InspectEntity\FontStyle
		           FontColor = *InspectEntity\TextColor
		           
		           SelectFont = FontRequester(FontName, Fontsize, #PB_FontRequester_Effects,FontColor,FontStyle)
		           If SelectFont
		             SetGadgetText(#DSFont, SelectedFontName() + " "+Str(SelectedFontSize()) + " " + Str(SelectedFontStyle()))
		             *InspectEntity\FontName = SelectedFontName()
		             *InspectEntity\FontSize = SelectedFontSize()
		             *InspectEntity\FontStyle = SelectedFontStyle()
		             *InspectEntity\Font = LoadFont(#PB_Any, SelectedFontName(), SelectedFontSize(), SelectedFontStyle())  
		             
		             ;Le selecteur de font permet aussi de rcuprer la couleur de la police
		             *InspectEntity\TextColor = SelectedFontColor()
		             SelectColor=SelectedFontColor()
 		             SetGadgetData(#DSSelCol1, SelectColor)
		             SetGadgetText(#DSTextColor, "RGB("+Str(Red(SelectColor))+Chr(44)+Str(Green(SelectColor))+Chr(44)+Str(Blue(SelectColor))+")")
		             *InspectEntity\TextColor = SelectColor

		             DesignUpdateContent()
		           EndIf
		       EndSelect
		       
		     Case #DSNodeRelation ;Type de relation
           Select TEvent      
             Case #PB_EventType_Focus
                              
             Case #PB_EventType_Change
    		       *InspectEntity\LinkRelation = GetGadgetState(GEvent)
		           DesignUpdateContent()    
		       EndSelect		       
		   EndSelect  
		 EndIf 
		 ;Fin vnement inspecteur
		
     ;-Evenement Preference
     If WEVent = #PreferenceForm
       Select GEvent
           
		     Case #PRSelCol1 ;Couleur de fond du grid
		       Select TEvent
		         Case #PB_EventType_MouseEnter
		           SetGadgetAttribute(#PRSelCol1, #PB_Canvas_Cursor, #PB_Cursor_Hand)
		           
		         Case #PB_EventType_LeftClick
		           SelectColor = ColorRequester(GetGadgetData(#PRSelCol1))
		           If SelectColor<>-1
		             SetGadgetData(#PRSelCol1, SelectColor)
		             SetGadgetText(#PRGridBackColor, "RGB("+Str(Red(SelectColor))+Chr(44)+Str(Green(SelectColor))+Chr(44)+Str(Blue(SelectColor))+")")
		             GridBackColor=SelectColor
		             SetGadgetColor(#PRGridBackColor, #PB_Gadget_BackColor, GridBackColor)
		             SetGadgetColor(#Wrapper, #PB_Gadget_BackColor, SelectColor)
		             DesignUpdateContent()
		           EndIf	             
		       EndSelect		       
		       
		     Case #PRSnapSize ;Espacement entre deux points du grid		           
		       Select TEvent
		         Case #PB_EventType_Change
		           SnapX = GetGadgetState(GEvent)
		           SnapY = SnapX
	             DesignUpdateContent()
	         EndSelect	
	         
	       Case #PRSnapToGrid ;Alignement des entit sur le grid
		       Select TEvent		           
		         Case #PB_EventType_Change
		           SnapToGrid = GetGadgetState(GEvent)
	         EndSelect	         
	         
	       Case #PRShowGrid ;Affichage du GRID (Oui ou Non)
		       Select TEvent		           
		         Case #PB_EventType_Change
		           ShowGrid = GetGadgetState(GEvent)
		           DesignUpdateContent()
		       EndSelect	      	         
		       
	       Case #PRSelFont ;Selecteur de font
		       Select TEvent
		         Case #PB_EventType_MouseEnter
		           SetGadgetAttribute(GEvent, #PB_Canvas_Cursor, #PB_Cursor_Hand)
		           
		         Case #PB_EventType_LeftClick		           
		           SelectFont = FontRequester(FontName, Fontsize, #PB_FontRequester_Effects,FontColor,FontStyle)
		           If SelectFont
		             SetGadgetText(#PRFont, SelectedFontName() + " "+Str(SelectedFontSize()) + " ")
		             FontName = SelectedFontName()
		             FontSize = SelectedFontSize()
		             FontStyle = SelectedFontStyle()
		             LoadFont(#FontGridDefault, SelectedFontName(), SelectedFontSize(), SelectedFontStyle())  
		           EndIf
		       EndSelect	
		       
		     Case #PREntityWidth ;largeur par defaut d'une entit
           Select TEvent      
             Case #PB_EventType_Focus
               SetGadgetColor(GEvent, #PB_Gadget_BackColor, FieldFocusBackColor)
                              
             Case #PB_EventType_LostFocus
               SetGadgetColor(GEvent, #PB_Gadget_BackColor, #PB_Default)
               
             Case #PB_EventType_Change  
               DefaultWidth = Val(GetGadgetText(GEvent))
               
    		   EndSelect 
    		   
		     Case #PREntityHeight ;Hauteur par defaut d'une entit
           Select TEvent      
             Case #PB_EventType_Focus
               SetGadgetColor(GEvent, #PB_Gadget_BackColor, FieldFocusBackColor)
                              
             Case #PB_EventType_LostFocus
               SetGadgetColor(GEvent, #PB_Gadget_BackColor, #PB_Default)
               
             Case #PB_EventType_Change
    		       DefaultHeight = Val(GetGadgetText(GEvent))
  
    		   EndSelect 
    		   
		     Case #PRNodeClipsize ;Taille de l'attache - Clip Size
		       Select TEvent
		         Case #PB_EventType_Change
		           NodeClipSize = GetGadgetState(GEvent)
	             DesignUpdateContent()
	         EndSelect    		   
	         
	       Case #PRNodeAnchorSize ;Diametre d'un point d'ancrage - Anchor Size
    		   Select TEvent  
    		     Case #PB_EventType_Change
		           NodeAnchorSize = GetGadgetState(GEvent)
	             DesignUpdateContent()
	         EndSelect	
	         
	       Case #PRNodeARrowWidth ;Largeur d'une flche - Arrow Width
    		   Select TEvent  
    		     Case #PB_EventType_Change
		           NodeArrowWidth = GetGadgetState(GEvent)
	             DesignUpdateContent()
	         EndSelect	
	         
	       Case #PRNodeARrowHeight ;Hauteur d'une flche - Arrow height
    		   Select TEvent  
    		     Case #PB_EventType_Change
		           NodeArrowHeight = GetGadgetState(GEvent)
	             DesignUpdateContent()
	         EndSelect	

    		 Case #PRSelCol2 ;Node : couleur des lignes
		       Select TEvent
		         Case #PB_EventType_MouseEnter
		           SetGadgetAttribute(GEvent, #PB_Canvas_Cursor, #PB_Cursor_Hand)
		           
		         Case #PB_EventType_LeftClick
		           SelectColor = ColorRequester(GetGadgetData(GEvent))
		           If SelectColor<>-1
		             SetGadgetData(GEvent, SelectColor)
		             SetGadgetText(#PRNodeColor, "RGB("+Str(Red(SelectColor))+Chr(44)+Str(Green(SelectColor))+Chr(44)+Str(Blue(SelectColor))+")")
		             NodeConnectionColor = SelectColor
		             SetGadgetColor(#PRNodeColor, #PB_Gadget_BackColor, NodeConnectionColor)
		             DesignUpdateContent()
		           EndIf	             
		       EndSelect		           		   
		       
		     Case #PRSelCol3 ;Node : couleur des points d'ancrage
		       Select TEvent
		         Case #PB_EventType_MouseEnter
		           SetGadgetAttribute(GEvent, #PB_Canvas_Cursor, #PB_Cursor_Hand)
		           
		         Case #PB_EventType_LeftClick
		           SelectColor = ColorRequester(GetGadgetData(GEvent))
		           If SelectColor<>-1
		             SetGadgetData(GEvent, SelectColor)
		             SetGadgetText(#PRNodeAnchorColor, "RGB("+Str(Red(SelectColor))+Chr(44)+Str(Green(SelectColor))+Chr(44)+Str(Blue(SelectColor))+")")
		             NodeAnchorColor=SelectColor
		             SetGadgetColor(#PRNodeAnchorColor, #PB_Gadget_BackColor, NodeAnchorColor)
		             DesignUpdateContent()
		           EndIf	             
		       EndSelect		       
		       
		     Case #PRSelCol4 ;Node : couleur des fleches
		       Select TEvent
		         Case #PB_EventType_MouseEnter
		           SetGadgetAttribute(GEvent, #PB_Canvas_Cursor, #PB_Cursor_Hand)
		           
		         Case #PB_EventType_LeftClick
		           SelectColor = ColorRequester(GetGadgetData(GEvent))
		           If SelectColor<>-1
		             SetGadgetData(GEvent, SelectColor)
		             SetGadgetText(#PRNodeTriangleColor, "RGB("+Str(Red(SelectColor))+Chr(44)+Str(Green(SelectColor))+Chr(44)+Str(Blue(SelectColor))+")")
		             NodeArrowColor=SelectColor
		             SetGadgetColor(#PRNodeTriangleColor, #PB_Gadget_BackColor, NodeArrowColor)
		             DesignUpdateContent()
		           EndIf	             
		       EndSelect 
		       
		     Case #PRLanguage
		       Select TEvent
		         Case #PB_EventType_Change
		           Language = GetGadgetItemText(GEvent, GetGadgetState(Gevent))
		           MessageRequester(Minformation, MCloseANdRun)
		           
		       EndSelect	      	         
		       
		       
		   EndSelect 
		 EndIf 		       
		 ;Fin vnement Preference
		 
		 ;Evenement entity edit
		 If WEVent = #EntityEditForm
		   Select GEvent  
    		 Case #EditOk
    		   *InspectEntity\Text = GetGadgetText(#EntityEdit)
    		   DesignUpdateContent()
    		   CloseWindow(#EntityEditForm)
    		   
    		 Case #editcancel
    		   CloseWindow(#EntityEditForm)
    		   
    		EndSelect 
		 EndIf
		 ;Fin vnment entity edit
		 
		Case #PB_Event_SizeWindow, #PB_Event_MaximizeWindow
		  MainForm_Resize()
 
		Case #PB_Event_CloseWindow
		  Select WEVent 
		      
		    Case #EntityForm
		      InspectorX = WindowX(#EntityForm)
		      InspectorY = WindowY(#EntityForm)
		      CloseWindow(#EntityForm)  
		      
		    Case #EntityEditForm
		      CloseWindow(#EntityEditForm)  
		      
		    Case #PreferenceForm
		      CloseWindow(#PreferenceForm)  
		      		      
		    Case #MainForm
		      Application_Close()
		      End
		  EndSelect
	    	  
	EndSelect	 	
ForEver


DataSection    
  
  ;Projet
  Res_FileNew: : IncludeBinary "media/FileNew.png"
  Res_FileOpen: : IncludeBinary "media/FileOpen.png"
  Res_FileSave: : IncludeBinary "media/FileSave.png"
  Res_ImageSave: : IncludeBinary "media/ImageSave.png"
  
  Res_Copy: : IncludeBinary "media/Copy.png"
  Res_Paste: : IncludeBinary "media/Paste.png"
  Res_Delete: : IncludeBinary "media/Delete.png"
  
  ;Alignement du texte
  Res_TextLeft: : IncludeBinary "media/TextLeft.png"
  Res_TextRight: : IncludeBinary "media/TextRight.png"
  Res_TextCenter: : IncludeBinary "media/TextCenter.png"
  
  ;Ajout d'un node
  Res_NodeAdd: : IncludeBinary "media/NodeAdd.png"
    
EndDataSection
; IDE Options = PureBasic 5.31 (Windows - x86)
; CursorPosition = 5
; Folding = ------
; Markers = 1934,3303
; EnableXP
; EnableUser
; UseIcon = logo.ico
; Executable = ..\Mind Map\MindMap.exe